#!/bin/bash
#
# Aufruf mit Kommandozeilenparameter
# CopyEv.sh Events	-> kopiere Fehlerevents
# CopyEv.sh Tracks	-> kopiere Trackingdaten
#
###################################################
# XML Tag   #               Werte                 #
###################################################
#  Status   #    busy   #   error    #    ready   #
###################################################
#           #           #   InvPar   #            #
#           #    init   #   No_USB   #            #
#           #           # SeveralDev #            #
#  Message  #  Copying  #  CopyErr   # Successful #
#           #   Verify  #  DiffErr   #            #
###################################################

# XML-Datei erstellen und Zugriffsrechte anpassen
echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  busy\n </Status>\n <Message>\n  Init\n </Message>\n <free>\n  0\n </free>\n <Total>\n  0\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
chmod 664 /home/sfc250sm/XML/CopyEv.xml
chgrp www-data /home/sfc250sm/XML/CopyEv.xml

# korrekten Programmaufruf testen
if [ "$1" != "Events" -a "$1" != "Tracks" ]
	then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  InvPar\n </Message>\n <free>\n  0\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
	echo "ung\0374ltiger Parameter: \"$1\""
	exit 6
fi

# Variablen
dir=$(awk '/media/ { print $2}' /etc/mtab)		# in /media/ eingebundene Geräte
datum=$(date +%y%m%d_%H%M%S)					# aktuelles Datum und Uhrzeit
if [ "$1" == "Events" ]
	then sourcedir=/home/sfc250sm/Events					# Quellverzeichnis für Eventdaten
	srcdirlog=/home/sfc250sm/sfclog							# Quellverzeichnis für Eventlogdaten
	totalfiles0=`find ${sourcedir}* -type f -name '*.xml' | wc -l`		# Anzahl der Dateien bestimmen
	totalfiles1=`find ${srcdirlog}* -type f -name '*.csv' | wc -l`		# Anzahl der Dateien bestimmen
	totalfiles2=`find ${srcdirlog}* -type f -name 'eventlog.txt*' | wc -l`		# Anzahl der Dateien bestimmen
	totalfiles=$(($totalfiles0 + $totalfiles1 + $totalfiles2))
	else sourcedir=/home/sfc250sm/trackIrms					# Quellverzeichnis für Trackdaten
	totalfiles=`find ${sourcedir}All -type f -name '*.csv' | wc -l`		# Anzahl der Dateien bestimmen
        dateVar=`date +"%Y%m%d"`
        /home/sfc250sm/PackRMS3phases/SF250PakRMS3phase -d $dateVar
fi

# Fehlerbehandlung kein USB-Stick erkannt
if [ "$dir" == "" ]
	then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  No_USB\n </Message>\n <free>\n  0\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
	echo "Kein USB-Stick!"
	exit 1
fi

# Fehlerbehandlung mehrere USB-Sticks erkannt
if [ "`echo $dir | wc -w`" != "1" ]
	then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  SeveralDev\n </Message>\n <free>\n  0\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
	echo -e "Mehrere Ger\0344te in /media eingebunden!"
	exit 2
fi

dirfree=$(df -h $dir | tail -n1 | awk ' { print $4}')				# freier Speicher auf USB-Stick

# wenn nicht genug Platz frei beenden
sfree=$(df $dir | tail -n1 | awk ' { print $4}')				# freier Speicher auf USB-Stick
if [ "$1" == "Events" ]
	then srequ0=$(du -c ${sourcedir}*/*.xml | tail -n1 | awk ' { print $1}')		# benoetigter Speicherplatz (Events)
	srequ1=$(du -c ${srcdirlog}/uilog*/*.csv | tail -n1 | awk ' { print $1}')
	srequ2=$(du -c ${srcdirlog}/eventlog.txt* | tail -n1 | awk ' { print $1}')
	srequ=$(($srequ0 + $srequ1 + $srequ2))
	else srequ=$(du -c ${sourcedir}All/*.csv | tail -n1 | awk ' { print $1}')	# benoetigter Speicherplatz (trackIrms)
fi
if [ $sfree -lt $srequ ]
	then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  DiskFull\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  0\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
	echo "Speicherplatz nicht ausreichend"
	exit 10
fi

datadir=$dir/sfc250_data
if [ ! -d "$datadir" ]
	then mkdir $datadir
fi

if [ "$1" == "Events" ]
	then datumdir=$datadir/Events_$datum
	logdatumdir=$datadir/sfclog_$datum
	mkdir $logdatumdir
	else datumdir=$datadir/Tracks_$datum
fi
mkdir $datumdir

if [ "$1" == "Events" ]
	then mkdir $datumdir/PM_A
	mkdir $logdatumdir/PM_A
	mkdir $datumdir/PM_B
	mkdir $logdatumdir/PM_B
	mkdir $datumdir/PM_C
	mkdir $logdatumdir/PM_C
fi

# find . -maxdepth 1 -type f -name '*.xml' -exec cp -r {} /tmp/Events/{} \;
if [ "$1" == "Events" ]
	then cp -r $sourcedir/*.xml $datumdir/PM_A/ &
		pidcpa=$!
		cp -r ${sourcedir}1/*.xml $datumdir/PM_B/ &
		pidcpb=$!
		cp -r ${sourcedir}2/*.xml $datumdir/PM_C/ &
		pidcpc=$!
		cp -r $srcdirlog/uilog/*.csv $logdatumdir/PM_A/ &
		pidcpla=$!
		cp -r $srcdirlog/uilog1/*.csv $logdatumdir/PM_B/ &
		pidcplb=$!
		cp -r $srcdirlog/uilog2/*.csv $logdatumdir/PM_C/ &
		pidcplc=$!
		cp -r $srcdirlog/eventlog.txt* $logdatumdir/ &
		pidcpt=$!
	else cp -r ${sourcedir}All/*.csv $datumdir/ &
		pidcpa=$!
		pidcpb=$!
		pidcpc=$!
		pidcpla=$!
		pidcplb=$!
		pidcplc=$!
		pidcpt=$!
fi

while [ -n "`ps -p $pidcpa,$pidcpb,$pidcpc,$pidcpla,$pidcplb,$pidcplc,$pidcpt | grep -v PID`" ]
do
	if [ "$1" == "Events" ]
		then currfiles0=`find ${datumdir}/PM_* -maxdepth 1 -type f -name '*.xml' | wc -l`
			currfiles1=`find ${logdatumdir}/PM_* -maxdepth 1 -type f -name '*.csv' | wc -l`
			currfiles2=`find ${logdatumdir} -maxdepth 1 -type f -name 'eventlog.txt*' | wc -l`
			currfiles=$(($currfiles0 + $currfiles1 + $currfiles2))
		else currfiles=`find $datumdir -maxdepth 1 -type f -name '*.csv' | wc -l`
	fi
	echo $currfiles/$totalfiles
	echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  busy\n </Status>\n <Message>\n  Copying\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
done

if [ "$1" == "Events" ]
	then currfiles0=`find ${datumdir}/PM_* -maxdepth 1 -type f -name '*.xml' | wc -l`
		currfiles1=`find ${logdatumdir}/PM_* -maxdepth 1 -type f -name '*.csv' | wc -l`
		currfiles2=`find ${logdatumdir} -maxdepth 1 -type f -name 'eventlog.txt*' | wc -l`
		currfiles=$(($currfiles0 + $currfiles1 + $currfiles2))
	else currfiles=`find $datumdir -maxdepth 1 -type f -name '*.csv' | wc -l`
fi

#if ! cp -r $sourcedir/* $datumdir ; then
if [ $currfiles != $totalfiles ]
	then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  CopyErr\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
	exit 3
fi

sync &
while [ -n "`ps -p $! | grep $!`" ]
do
	echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  busy\n </Status>\n <Message>\n  Syncing\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
done

echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  busy\n </Status>\n <Message>\n  Verify\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
if [ "$1" == "Events" ]
# so wars aber diff geht ned mit *.xxx  	then if [ -n "`diff -qr $sourcedir/*.xml $datumdir`" ]
	then if [ "`stat -c %s ${sourcedir}*/*.xml`" != "`stat -c %s ${datumdir}/PM_*/*`" ]
		then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  DiffErr\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
		exit 5
	fi
	if [ "`stat -c %s ${srcdirlog}/uilog*/*.csv`" != "`stat -c %s ${logdatumdir}/PM_*/*`" ]
		then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  DiffErr\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
		exit 5
	fi
	if [ "`stat -c %s ${srcdirlog}/eventlog.txt*`" != "`stat -c %s ${logdatumdir}/eventlog.txt*`" ]
		then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  DiffErr\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
		exit 5
	fi
else
	if [ "`stat -c %s ${sourcedir}All/*.csv`" != "`stat -c %s $datumdir/*`" ]
		then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  DiffErr\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
		exit 5
	fi
fi

echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  ready\n </Status>\n <Message>\n  Successful\n </Message>\n <free>\n  $dirfree\n </free>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
