<!doctype html>

<?php
//-------------------------------------------------------------------
/*! 
 *	\file setup_132.php
 *
 * 	\brief			Authentifizierung und Aufruf der Startseite: [start3p01.php]
 *
 *	\pre				Die Authentifizierung erfolgt über das HTTP-Protokoll. Der Server bzw. das Skript sendet einen HTTP-Header 
 *							an den Browser, der zur Authentifizierung auffordert. Der Anwender erhält daraufhin vom Browser ein Loginfenster 
 *							präsentiert, Der Anwender loggt sich ein und erhält Zugriff auf den geschützten Bereich in  "lighttpd-Webserver". 
 *							Kann dieser nicht identifiziert werden, so wird der Zugriff verweigert und der Anwender erhält eine Fehlermeldung.
 *			
 *	\details			Benutzername und Passwort für die  .htaccess-Datei  in "/home/sfc250sm/WebServer/.htpasswd" werden über den 
 *							Dispacher aus der Mission.xml geholt und eingetragen. Passwort wird dann automatisch verschlüsselt abgelegt.
 *							
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//-------------------------------------------------------------------
?>
<html>
  <head>
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta charset="utf-8">
  <title>set_fehlerortung</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv='cache-control' content='no-cache'>
  <meta http-equiv='expires' content='0'>
  <meta http-equiv='pragma' content='no-cache'>

  <link rel="shortcut icon" href="../images/global.logo.png"/>
  
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <link href="../jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css"/>
  <link href="../keyboard/vkeyboard2/keyboardstyle.css" type="text/css" rel="stylesheet" />
  <link href="../css/jquery_page.css" rel="stylesheet" type="text/css">
  <link href="../css/slid_butt.css" rel="stylesheet" type="text/css">
  <script src="../jquery-mobile/jquery-1.11.3.min.js"></script>
  <script src="loadstatusxml.js?version=<?= time() ?>  "> </script>
  <script src="setup_scripts.js?version=<?= time() ?>  "> </script>
  <script src="get_dat_exp.js?version=<?= time() ?>  ">	</script>
  <script src="sect_script.js?version=<?= time() ?>  "> </script>
  <script src="section_requ.js?version=<?= time() ?>  "> </script>
  
  <!--
  <script src="setup_3p_addon.js"> </script>
	<script src="sim_pin_requ.js">	</script> 
	<script src="pm_abgl_requ.js">	</script> 
  -->

  <script src="../jquery-mobile/jquery.mobile-1.4.5.min.js"></script>
  <script type="text/javascript" src="../keyboard/vkeyboard2/jquery-fieldselection.js"></script>
  <script type="text/javascript" src="../keyboard/vkeyboard2/vkeyboard.js"></script>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

  <script type="text/javascript">
		// window.onerror = Fehlerbehandlung;
		//---
		javascript:setupRequest('19', 'page2');		//		Homeabfrage - deckel auf oder zu ? - Sprache | CA-Adapter angeschlossen
		//---
		$(document).ready(function(){			<!-- unbeabsichtigtes 'Drag' von Elementen verhindern -->
			$("body").css("-webkit-user-select","none");
			$("body").css("-moz-user-select","none");
			$("body").css("-ms-user-select","none");
			$("body").css("-o-user-select","none");
			$("body").css("user-select","none");
		});

		//-----	Deep-Link (open subcontainer) -----	
		document.onreadystatechange = function () 
		{//	alert("Deep-Link Fehlerortung")
			if (document.readyState == "complete") 
			{
				var query_string = {};
				var query = window.location.search.substring(1);
				// alert(">"+query+"<");			
				if(query != "")															// ...wenn Parameter vorhanden?
				{
					param = query.split("&");
					// alert(param[0]+"<>"+param[1])					// *** IE 9/11 und Edge-Problem ***
					var param1 = param[0].split("=");
					var param2 = param[1].split("=");
					//-			
					var para1 = "#" +  param1[1];							// Read URL Parameter para1, Angabe der Unterseite
					var para2 = param2[1];										// Read URL Parameter para2, startet Funktion/Element auf dieser Unterseite													
					// alert(">"+para1+"-"+para2+"<");				// *** IE 9/11 und Edge-Problem ***
					location.href = para1; 										// öffne Seite aus URL
					//---
					var subcont = "";													//
					if(para1 == "#page3")
					{
						javascript:setupRequest('30', 'page3');	//	alle Parameter für Page3 laden
						//---
						if(para2 == 1)
							subcont = "#expandfunct";							// Experteneinstellungen
						if(para2 == 2)
							//alert("Kabeltyp fehlt noch");					 
							subcont = "#kabeltyp";								// Kabeltyp
					}
					//---
					DLFunction1();																// Containeranfrage vorhanden?
					//
						function DLFunction1() {
							setTimeout(function(){
								// alert("check..."+subcont);						// *** IE 9/11 und Edge-Problem ***
								if($(subcont).is(':visible')){ 					// if the container is visible on the page
									//alert("Seite geladen"+para2);  			// *** IE 9/11 und Edge-Problem ***
									$(subcont).collapsible( "expand" );
								} ;
							}, 1000);																	// ... Abfrage wird erst nach 1Sek. ausgeführt, Abwarten der Page3 Parameter-Ladezeit
						};
					//---
				};
			};	
		};		
		//-----	Deep-Link (open subcontainer)  -  ENDE -----	

	//---		
  </script>

	<style> 
    .div1 {
      width: 45%;	
      height: 15px;
      padding-left:0px;
      float:left;
      /*border: 1px solid blue;
      box-sizing: border-box;	*/
    }
    .btn-group .button {
      background-color:lightgrey;
     /* border: none;*/
      color: white;
      padding: 0px 0px;
      text-align: center;
      text-decoration: none;
      text-shadow:0px 0px;
      display: inline-block;
      font-size: 22px;
      cursor: pointer;
      float: left;
      max-width:25px;
      max-height:30px;			
      border: 3px solid CornflowerBlue;
      box-sizing: border-box;	
    }
    .btn-group .button:hover {
        background-color: grey;
    }
	</style>

  <!--	-->

  </head>


	<?php
  header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
  header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Datum in der Vergangenheit
  ?>


	<?php
	$ID = "";
	
    //--- Info-Dateien laden			---//
  //	$Status = simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
  //	$Status1 = simplexml_load_file("/home/sfc250sm/XML/tmp/Status1.xml");
  //	$Status2 = simplexml_load_file("/home/sfc250sm/XML/tmp/Status2.xml");
  ////  $Mission = simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
  //	$SysInfo = simplexml_load_file("/home/sfc250sm/XML/tmp/SysInfo.xml");
  //	$Versions = simplexml_load_file("/home/sfc250sm/XML/Versions.xml");
  //	$WebVersion = simplexml_load_file("/home/sfc250sm/WebServer/WebVersion.xml");
  //	$GSM = simplexml_load_file("/home/sfc250sm/XML/tmp/GSM.xml");
  //	$GPS = simplexml_load_file("/home/sfc250sm/XML/tmp/GPS.xml");
  //	$HWconfig = simplexml_load_file("/home/sfc250sm/XML/hwconfig.xml");
  //	$CA = simplexml_load_file("/home/sfc250sm/XML/tmp/CA.xml");
    //--- Info-Dateien geladen	 ---//
  ?>

  <body ondragstart="return false">
  <?php include ("trans_setup.php"); include ("keyboard.php"); ?>
  <!--	Translation setup_132.php	 und Keyboard--> 

  <!--*****************************************--> 
  <!-- ***** >>>    Fehlerortung <<<     ***** -->
  <div data-role="page" id="page3">
    <div class="ui-bar-b" data-role="header"> 
      <!-- <a href="#page" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a>  --> 
      <a href="javascript:GoBack_1p_3p()" target="_self" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a>
      <h1><?php echo $ID[25] ?></h1>
      <!-- Fehlerortung --> 
      <a  id="save_3" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a> </div>
    <div data-role="content"> 
      
      <!-- ***** Erster Block: Licencekey - FaultReset - Datensicherung ***** -->
      <div class="ui-grid-b">
        <div class="ui-block-a">
          <div id ="licencekey"> 
            <!-- Lizenzschlüssel -->
            <label for="text-305"><a href="#dialogPage31" data-rel="dialog" data-transition="flip" ><?php echo $ID[73] ?> ?</a> </label>
          </div>
          <p>. </p>
        </div>
        <!-- /ui-block-a -->
        
        <div class="ui-block-b" id="dataexpo"> <a href="#" id="faultlocreset" data-role="button" data-mini="true" ><?php echo $ID[255] ?></a> <!-- Zurücksetzen  --> 
          <script type="text/javascript">	$('#faultlocreset').click(function ()	
						{// alert("Reset faultloc");	
							javascript:setupRequest('54',23);
							//alert("Fault_Reset fertsch");
						});		// 
					</script> 
        </div>
        <!-- /ui-block-b -->
        
        <div class="ui-block-b" id="dataexpo"> <a href="#" id="dataexpo1" data-role="button" data-mini="true" ><?php echo $ID[26] ?></a> <!-- Datenexport --> 
          <script type="text/javascript">	$('#dataexpo1').click(function ()	{ $('#datexp32').click();	}); </script> 
        </div>
        <!-- /ui-block-c --> 
        
      </div>
      <!-- /ui-grid-b --> 
      <!-- ***** Erster Block: Licencekey - FaultReset - Datensicherung  -  ENDE ***** --> 
      
      <!-- *****  Kabeltyp ***** -->
      <div   id="kabeltyp" data-role="collapsible" >
        <h3><?php echo $ID[29] ?></h3>
        <!-- Kabel Typ -->
        
        <!-- Parameter-Eingabe Spalte 1 - 3 -->
        <div class="ui-grid-b" style="height:215px; background-color:lightgrey; border:medium; border-style:solid; border-color:#EFEFEF; "> <!-- Spalte 1 - 3 -->
          
          <div class="ui-block-a" align="center" > <!-- Spalte 1 -->
            
            <form>              

							<!-- OPT505 ***** Auswahl: Segment 1....8		::: WIRD EIGENTLICH NICHT MEHR VERWENDET; 295 WIRD SMFWatchdog ::: -->
              <div id="cross48" style=" font-style:italic; display:none">
                <select name="cross-choice-48" id="cross-choice-48" onchange="Set_Segment(value)">
                  <option value="1"><?php echo $ID[295]?> 1</option>
                  <option value="2"><?php echo $ID[295]?> 2</option>
                  <option value="3"><?php echo $ID[295]?> 3</option>
                  <option value="4"><?php echo $ID[295]?> 4</option>		<!--    295;Segment ... neuer Text für Abschnitte	-->
                  <option value="5"><?php echo $ID[295]?> 5</option>		<!--    290;Kabelsegment ... neuer Text für Kabelabschnitte	-->
                  <option value="6"><?php echo $ID[295]?> 6</option>
                  <option value="7"><?php echo $ID[295]?> 7</option>
                  <option value="8"><?php echo $ID[295]?> 8</option>
                </select>
              </div>
							<!-- OPT505 ***** Auswahl: Segment 1....8	- ENDE	-->

              <a><?php echo $ID[258] ?>:</a> <!-- Adern: -->
              <div id="cross41">
                <select name="cross-choice-41" id="cross-choice-41" onchange="Set_Cabletyp_Core(41,value)">
                  <option value="0"> 0 </option>
                  <option value="3"> 3 </option>
                  <option value="4"> 4 </option>
                  <option value="5"> 5 </option>
                </select>
              </div>
							<br></br>
              <!--  ***** Auswahl-Button: [ Ausführung mit PE: ] wird erst mal deaktiviert, wird vielleicht später benötigt -->
              <div id="pen_jn" style="visibility:hidden">		   
                <label for="flip-30"><?php echo $ID[286] ?>:</label>	  				
                <select name="flip-30" id="flip-30" data-role="slider"  onchange="Set_Cabletyp_Core(42,value)" >
                  <option value="0">nein</option>															
                   <option value="1">ja</option>															
                </select>              
              </div>

            </form>
          </div>
          <!-- /ui-block-a -->
          
          <div class="ui-block-b" align="center"> <!-- Spalte 2 --> 
            
            <img src="../images/cabletyp300x.png" id="jogdial" alt="jog_start" width="150" height="150" />
           
           <div id="rueck_npe" style="visibility:hidden"> 
            <form>								<!-- *** Rückleiter *** -->																										
              <fieldset data-role="controlgroup" data-theme="b" data-type="horizontal" data-mini="true" id="radio35" onchange="Set_Cabletyp_Core(35,123)" >
                <legend><?php echo $ID[287] ?>:</legend>
                <input name="radio-npe-35" id="radio-npe-35a" value="1" checked="checked" type="radio">
                <label for="radio-npe-35a"> N </label>
                <input name="radio-npe-35" id="radio-npe-35b" value="0" type="radio">
                <label for="radio-npe-35b"> PE</label>
              </fieldset>
            </form>
           </div>
            
          </div>
          <!-- /ui-block-b -->
          
          <div class="ui-block-c" align="center"> <!-- Spalte 3 --> 
            <a><?php echo $ID[36] ?>:</a> <!-- Querschnitt -->
            <div id="cross42">
              <select name="cross-choice-42" id="cross-choice-42" onchange="Set_Cabletyp_Core(42,value)" >
                <option value="6" > 6 mm² </option>
                <option value="10"> 10 mm² </option>
                <option value="16"> 16 mm² </option>
                <option value="25"> 25 mm² </option>
                <option value="35"> 35 mm² </option>
                <option value="50"> 50 mm² </option>
                <option value="70"> 70 mm² </option>
                <option value="95"> 95 mm² </option>
                <option value="120"> 120 mm² </option>
                <option value="150"> 150 mm² </option>
                <option value="185"> 185 mm² </option>
                <option value="240"> 240 mm² </option>
                <option value="300"> 300 mm² </option>
              </select>
            </div>

           	<div id="nvermin" style="visibility:hidden">          
              <div id="cross46">
                <select name="cross-choice-46" id="cross-choice-46" onchange="Set_Cabletyp_Core(46,value)" >
                  <option value="0" > <?php echo $ID[292] ?> 				</option>
                  <option value="1" > N <?php echo $ID[293] ?></option>
                  <option value="2" > <?php echo $ID[294] ?></option>
                </select>
              </div>
						</div>
            
            <div style="visibility:visible">				<!--	am 14.06.2018 auf 'hidden' und '10000' gestellt (DACH-Seminar-13.06.18)		-->
              <label for="text-31"><?php echo $ID[37] ?>:</label>
              <!-- Kabellänge m wird im Mission... vorgegeben-->
              <input  class="text_input" data-clear-btn="true" name="text-31" id="text-31" value="500" type="text" onchange="Set_Cabletyp_Core(31,value)">
            </div>
            
          </div>
          <!-- /ui-block-c --> 
          
        </div>
        <!-- Parameter-Eingabe Spalte 1 - 3  - ENDE -->

        <!-- Power-Modul Zuordnung Spalte 1 - 3 		lightgrey	/ red	-->
        <div id="PMzuordung" class="ui-grid-b" style="height:80px; background-color:lightgrey; ">
        	<!-- Spalte 1 -->
          <div class="ui-block-a" id="pma_core" align="center" style="height:80px; border:medium; border-style:solid; border-color:#EFEFEF; visibility:visible"> 
            <br>
            <div style="max-height:50px; font-size:22px; margin-top:-20px; margin-bottom:-10px; text-shadow:none;"> #1  </div>
            <div id="cross43">
              <select name="cross-choice-43" id="cross-choice-43" onchange="Set_Cabletyp_Core(43,value)" >
                <option value="0"> --- </option>
                <option value="1"> PM-A </option>
                <option value="2"> PM-B </option>
                <option value="3"> PM-C </option>           
              </select>
              <br>
            </div>
          </div>
          <!-- /ui-block-a -->
          <!-- Spalte 2 -->
          <div class="ui-block-b" id="pmb_core" align="center" style="height:80px; border: medium; border-style:solid; border-color:#EFEFEF; visibility:visible">  
            <br>
            <div style="max-height:50px; font-size:22px; margin-top:-20px; margin-bottom:-10px; text-shadow:none"> #2 </div>
            <div id="cross44">
              <select name="cross-choice-44" id="cross-choice-44" onchange="Set_Cabletyp_Core(44,value)" >
                <option value="0"> --- </option>
                <option value="1"> PM-A </option>
                <option value="2"> PM-B </option>
                <option value="3"> PM-C </option>
              </select>
              <br>
            </div>
          </div>
          <!-- /ui-block-b -->
          <!-- Spalte 3 -->
          <div class="ui-block-c" id="pmc_core" align="center" 	style="height:80px; border:medium; border-style:solid; border-color:#EFEFEF; visibility:visible" >  
            <br>
            <div style="max-height:50px; font-size:22px; margin-top:-20px; margin-bottom:-10px; text-shadow:none"> #3 </div>
            <div id="cross45">
              <select name="cross-choice-45" id="cross-choice-45" onchange="Set_Cabletyp_Core(45,value)">
                <option value="0"> --- </option>
                <option value="1"> PM-A </option>
                <option value="2"> PM-B </option>
                <option value="3"> PM-C </option>
              </select>
              <br>
            </div>
          </div>
          <!-- /ui-block-c --> 
          
        </div>
        <!-- Power-Modul Zuordnung Spalte 1 - 3  - ENDE -->      

        <!-- Liste der Kabelsegmente -->
	      <div   id="kabelsegm" 	data-role="collapsible" data-mini="true" style="display:block">		<!-- block 		data-role="collapsible"		-->

          <h3>
            <div class="div1 ">
              <?php echo $ID[289]?>															<!-- Segment -->                       
            </div>
                  
            <div id="sect_sel" class="btn-group button">				<!-- Kabelsegment-Auswahl [-][1...8][+] -->
              <button id="sect0" class="button" style="visibility:visible; font-weight:bolder; color:darkblue" onclick="setsection(9)" >-</button>
              <button id="sect1" class="button" style="visibility:visible"  onclick="setsection(1)" >1</button>
              <button id="sect2" class="button" style="visibility:hidden"  onclick="setsection(2)" >2</button>
              <button id="sect3" class="button" style="visibility:hidden"  onclick="setsection(3)" >3</button>
              <button id="sect4" class="button" style="visibility:hidden"  onclick="setsection(4)" >4</button>
              <button id="sect5" class="button" style="visibility:hidden"  onclick="setsection(5)" >5</button>
              <button id="sect6" class="button" style="visibility:hidden"  onclick="setsection(6)" >6</button>
              <button id="sect7" class="button" style="visibility:hidden"  onclick="setsection(7)" >7</button>
              <button id="sect8" class="button" style="visibility:hidden"  onclick="setsection(8)" >8</button>
              <button id="sect9" class="button" style="visibility:visible; font-weight:bolder; color:darkblue" onclick="setsection(0)" >+</button>
            </div>      

    	<!--			<a onclick="setsection(9)" class="ui-btn ui-icon-delete ui-btn-icon-notext ui-corner-all">No text</a>		-->
               
          </h3>
        
        	<div id="seg_list" align="center" style="border:medium; border-style:solid; border-color:#EFEFEF; background-color:lightgrey; visibility:visible">
						<!-- <a><?php echo $ID[289] ?></a> -->

		        <!-- Segment-Daten -->
            <div data-role="content">
              <table data-role="table" id="sect-table" data-mode="reflow" class="ui-responsive table-stroke" style="witdth:100%; font-size:18px">
                <thead>
                  <tr>
                    <th data-priority="persist"><?php echo $ID[113] ?></th>		<!-- Nr. -->
                    <th data-priority="5"><?php echo $ID[258] ?></th>					<!-- Adern -->
                    <th data-priority="3">m</th>															<!-- m -->
                    <th data-priority="3">mm²</th>														<!-- mm² -->
                    <th data-priority="3"><?php echo $ID[291] ?></th>					<!-- N... -->
                  </tr>
                </thead>
                <tbody>
                
                	<!-- *** Kabelsegment 1 *** -->
                  <tr id="sectzei1" style="display:table-row">			<!-- none / table-row -->	
                    <th>1</th>
                      <td id="cs11">---</td>	<td id="cs12">-X2-</td>	<td id="cs13">-X3-</td>	<td id="cs14">-X4-</td>       
                  </tr>

                	<!-- *** Kabelsegment 2 *** -->
                  <tr id="sectzei2" style="display:none">			<!-- none / table-row -->
                    <th>2</th>
                      <td id="cs21">---</td>	<td id="cs22">-X2-</td>	<td id="cs23">-X3-</td>	<td id="cs24">-X4-</td>       
                  </tr>

          				<!-- *** Kabelsegment 3 *** -->
                  <tr id="sectzei3" style="display:none">			<!-- none / table-row -->
                    <th>3</th>
                      <td id="cs31">---</td>	<td id="cs32">-X2-</td>	<td id="cs33">-X3-</td>	<td id="cs34">-X4-</td>       
                  </tr>

         				 	<!-- *** Kabelsegment 4 *** -->
                  <tr id="sectzei4" style="display:none">			<!-- none / table-row -->
                    <th>4</th>	
                      <td id="cs41">---</td>	<td id="cs42">-X2-</td>	<td id="cs43">-X3-</td>	<td id="cs44">-X4-</td>       
                  </tr>

          				<!-- *** Kabelsegment 5 *** -->
                  <tr id="sectzei5" style="display:none">			<!-- none / table-row -->
                    <th>5</th>	
                      <td id="cs51">---</td>	<td id="cs52">-X2-</td>	<td id="cs53">-X3-</td>	<td id="cs54">-X4-</td>       
                  </tr>
                                    
          				<!-- *** Kabelsegment 6 *** -->
                  <tr id="sectzei6" style="display:none">			<!-- none / table-row -->
                    <th>6</th>	
                      <td id="cs61">---</td>	<td id="cs62">-X2-</td>	<td id="cs63">-X3-</td>	<td id="cs64">-X4-</td>       
                  </tr>
                  
          				<!-- *** Kabelsegment 7 *** -->
                  <tr id="sectzei7" style="display:none">			<!-- none / table-row -->
                    <th>7</th>	
                      <td id="cs71">---</td>	<td id="cs72">-X2-</td>	<td id="cs73">-X3-</td>	<td id="cs74">-X4-</td>       
                  </tr>
                  
          				<!-- *** Kabelsegment 8 *** -->
                  <tr id="sectzei8" style="display:none">			<!-- none / table-row -->
                    <th>8</th>	
                      <td id="cs81">---</td>	<td id="cs82">-X2-</td>	<td id="cs83">-X3-</td>	<td id="cs84">-X4-</td>       
                  </tr>
          
                </tbody>
              </table>
            </div>
		        <!-- Segment-Daten - ENDE -->
        	</div>
				</div>
        <!-- Liste der Kabelsegmente - ENDE -->
             
                
        <!-- ****************************************** --> 
        <script type="text/javascript">   
				<!-- On_Kabeltyp_Expand -->
				$('#kabeltyp').on("collapsibleexpand", function () 
					{	On_Kabeltyp_Expand();	 });
			  </script> 
        <!-- ****************************************** --> 
        
      </div>
      <!-- ***** Kabeltyp  -  ENDE ***** --> 
      
      <!-- ***** Pulsmodus ***** -->
      <div id="pulsmode" data-role="collapsible" style="display:none;">
        <h3><?php echo $ID[27] ?></h3>
        <!-- Pulsbetrieb -->
        <div class="ui-grid-a">
          <div class="ui-block-a"> 
            
            <!--      <form>	-->
            <fieldset data-role="controlgroup" data-type="horizontal" id="pm_puls">
              <!--  <legend><b>Trigger-Enable:</b></legend>  -->
              <input name="checkbox-p-2a" id="checkbox-p-2a" type="checkbox">
              <!-- PM-A -->
              <label for="checkbox-p-2a">PM-A</label>
              <input name="checkbox-p-2b" id="checkbox-p-2b" type="checkbox">
              <!-- PM-B -->
              <label for="checkbox-p-2b">PM-B</label>
              <input name="checkbox-p-2c" id="checkbox-p-2c" type="checkbox">
              <!-- PM-C -->
              <label for="checkbox-p-2c">PM-C</label>
            </fieldset>
            <!--      </form>    --> 
            
          </div>
          <!-- /ui-block-a -->
          
          <div class="ui-block-b">
            <label><b><?php echo $ID[28] ?>:</b></label>
            <!-- Halbwellen -->
            <div  class="full-width-slider-x">
              <label for="slider-halfwave" class="ui-hidden-accessible">Slider:</label>
              <input name="slider-halfwave" type="range" id="slider-halfwave" min="2" max="50" step="2" value="10"
                                  data-show-value="true" data-popup-enabled="true" />
            </div>
          </div>
          <!-- /ui-block-b -->
          
          <div class="ui-block-a">
            <select name="flip-24" id="flip-24" data-role="slider">
              <option value="0"><?php echo $ID[150] ?></option>
              <!-- man. -->
              <option value="1"><?php echo $ID[149] ?></option>
              <!-- auto. -->
            </select>
            
            <!--  Einschalter für PulsBetrieb entfällt	
          <select name="flip-23" id="flip-23" data-role="slider">
              <option value="0"><?php echo $ID[24] ?></option>						<!-- Aus  
              <option value="1"><?php echo $ID[7] ?></option>							<!-- Ein  
          </select>            						
--> 
            
          </div>
          <!-- /ui-block-a -->
          
          <div class="ui-block-b">
            <label><b><?php echo $ID[22] ?>:</b></label>
            <!-- Pause(Sek.) -->
            <div  class="full-width-slider-x">
              <label for="slider-pulstime" class="ui-hidden-accessible">Slider:</label>
              <input name="slider-pulstime" type="range" id="slider-pulstime" min="1" max="50" step="1" value="10"
                            data-show-value="true" data-popup-enabled="true" />
            </div>
          </div>
          <!-- /ui-block-b --> 
          
        </div>
        
        <!-- ****************************************** --> 
        <script type="text/javascript">    
				$('#pulsmode').on("collapsibleexpand", function () 
					{	On_Change_Puls_on_off(); });

				<!-- On_Change_man_auto -->
				$('#flip-24').on('change', function () 
					{	On_Change_Puls_on_off();	});			

				/* On_Change_Auswahl PM-ABC */
				$('#pm_puls').on('change', function () 
					{//	alert("pm_puls geändert");		
						PM_ABC_P = 0;
						if($('#checkbox-p-2a').is(':checked'))			// PM-A checked
						{
							PM_ABC_P = PM_ABC_P | 4;
							PM_ABC_W = PM_ABC_W & 3;									// PM-A Wiederzu aus
						}
						if($('#checkbox-p-2b').is(':checked'))			// PM-B checked
						{
							PM_ABC_P = PM_ABC_P | 2;
							PM_ABC_W = PM_ABC_W & 5;									// PM-B Wiederzu aus				
						}
						if($('#checkbox-p-2c').is(':checked'))			// PM-C checked
						{
							PM_ABC_P = PM_ABC_P | 1;
							PM_ABC_W = PM_ABC_W & 6;									// PM-B Wiederzu aus				
						}
						//alert(PM_ABC_P);
						if(PM_ABC_P > 0)
							PulsEinAus = 1;
						else
							PulsEinAus = 0;
						//---					
						On_Change_Puls_on_off();
						//---								
					});	
																
			</script> 
        <!-- ****************************************** --> 
        
      </div>
      <!-- ***** Pulsmodus  -  ENDE ***** --> 
      
      <!-- ***** Trigger ***** -->
      <div id="trigger" data-role="collapsible" >
        <h3><?php echo $ID[252] ?></h3>
        <!-- Trigger -->
        <div class="ui-grid-a">
          <div class="ui-block-a">
            <form>
              <fieldset data-role="controlgroup" data-type="horizontal" id="pm_source">
                <legend><b><?php echo $ID[253] ?></b></legend>
                <!-- Quelle -->
                <input name="checkbox-h-2a" id="checkbox-h-2a" type="checkbox">
                <label for="checkbox-h-2a">PM-A</label>
                <input name="checkbox-h-2b" id="checkbox-h-2b" type="checkbox">
                <label for="checkbox-h-2b">PM-B</label>
                <input name="checkbox-h-2c" id="checkbox-h-2c" type="checkbox">
                <label for="checkbox-h-2c">PM-C</label>
              </fieldset>
            </form>
          </div>
          <!-- /ui-block-a -->
          
          <div class="ui-block-b">
            <form>
              <fieldset data-role="controlgroup" data-type="horizontal" data-mini="true" id="pm_edge">
                <legend><b><?php echo $ID[254] ?></b></legend>
                <!-- Flanke -->
                <input name="radio-choice-h-2" id="radio-choice-h-2a" value="on"  type="radio">
                <label for="radio-choice-h-2a"> <img src="../images/edge_p.svg"> </label>
                <input name="radio-choice-h-2" id="radio-choice-h-2b" value="off" type="radio">
                <label for="radio-choice-h-2b"> <img src="../images/edge_n.svg"> </label>
              </fieldset>
            </form>
          </div>
          <!-- /ui-block-b --> 
        </div>
        
        <!-- ****************************************** --> 
        <script type="text/javascript">    
				$('#trigger').on("collapsibleexpand", function () 
					{	$("html, body").animate({ scrollTop: "400" }, 1000);	});		// ... nach Top scrollen																		
				</script> 
        <!-- ****************************************** --> 
        
      </div>
      <!-- ***** Trigger  -  ENDE ***** --> 
            
      <!-- ***** Erweiterte Funktion ***** -->
      <div id="expandfunct" data-role="collapsible" >
        <h3><?php echo $ID[280] ?></h3>
        <!-- xxx -->      
        <div class="ui-grid-a">
          <div class="ui-block-a">					<!-- linke Seite -->
          	 
            <form>
              <fieldset data-role="controlgroup" data-mini="true">
                  <legend><?php echo $ID[86] ?>:</legend>																				<!-- Erweiterung (Add-On)  checked="checked" -->
                  
                  <input type="radio" name="radio-choice-v-6" id="radio-choice-v-6a" value="on">
                  <label  id="radiofehler" for="radio-choice-v-6a"><?php echo $ID[25] ?></label>
                  
                  <input type="radio" name="radio-choice-v-6" id="radio-choice-v-6b" value="off">
                  <label for="radio-choice-v-6b"><?php echo $ID[297] ?></label>
                  
                  <div id="easygovisib" style="visibility:hidden;">   <!-- am 31.07.2020 auf hidden gestellt für Beta-Version 2.331 ... bis 02.09.2020-->
                  	<input type="radio" name="radio-choice-v-6" id="radio-choice-v-6c" value="off">	
                  	<label for="radio-choice-v-6c"><?php echo $ID[309] ?></label> 
                  </div> 
              </fieldset>
          	</form>

								<!-- ...im Moment nicht mehr nötig! -->
                <form>            
                  <div  class="full-width-slider-x" style="visibility:hidden">
                  
                    <label for="slider-sequ"><?php echo $ID[282] ?>:</label>									<!-- sequenzielle Zuschaltung (x100ms)-->
                    <!--<label for="slider-sequ" class="ui-hidden-accessible">Slider:</label>	 -->
                    <input name="slider-sequ" type="range" id="slider-sequ" min="0" max="10" step="1" value="3"
                              data-show-value="true" data-popup-enabled="true" />
                 	</div>                                       
                </form>
								<!-- ...im Moment nicht mehr nötig! -->
       
          </div>
          <!-- /ui-block-a -->
          
          <div class="ui-block-b">					<!-- rechte Seite -->
            <form id="erweiterung">
            	<fieldset data-role="controlgroup" data-iconpos="right" data-mini="true" >
				        <legend><?php echo $ID[298] ?>:</legend>																			<!-- Add-On-->
              	<!-- <legend><?php echo $ID[47] ?></legend>											               Meldungen bei folgenden Ereignissen -->	
                <input name="checkbox-6a" id="checkbox-6a" type="checkbox" value="1" >
                <label for="checkbox-6a"><?php echo $ID[281] ?></label>										 									<!-- transiente Fehlerortung -->

              	<!-- <legend><?php echo $ID[47] ?></legend>											               Meldungen bei folgenden Ereignissen -->	
                <input name="checkbox-6c" id="checkbox-6c" type="checkbox" value="1" style="visibility:visible">
                <label for="checkbox-6c" style="visibility:visible"><?php echo $ID[289] ?></label>					<!-- Kabelsegmentierung -->

              	<!-- <legend><?php echo $ID[47] ?></legend>											               Meldungen bei folgenden Ereignissen -->	
                <input name="checkbox-6d" id="checkbox-6d" type="checkbox" value="1" style="visibility:visible">
                <label for="checkbox-6d" style="visibility:visible"><?php echo $ID[299] ?></label>					<!-- Mittelwertbildung -->
  
								<div id="phaonoff">
                  <!-- <legend><?php echo $ID[47] ?></legend>											               Meldungen bei folgenden Ereignissen -->	
                  <input name="checkbox-6e" id="checkbox-6e" type="checkbox" value="1" style="visibility:visible">
                  <label for="checkbox-6e" style="visibility:visible"><?php echo $ID[308] ?></label>					<!-- Phasenanschnit Vormessung -->
								</div>
                
                <div id="phalim" class="full-width-slider-x" style="visibility:visible">                                  
                 	<label for="slider-PhasLim"><?php echo $ID[307] ?>:</label>																<!--		Phasenanschnitt Limit (kA) -->          
                  <input name="slider-PhasLim" type="range" id="slider-PhasLim" min="1" max="9" step="1" value="6" 
                            data-show-value="true" data-popup-enabled="true" />            
 								</div>
                
              </fieldset>
            </form>
          </div>
          <!-- /ui-block-b --> 
                  
          
        </div>
        
        <!-- ****************************************** --> 
        <script type="text/javascript">    
					$('#expandfunct').on("collapsibleexpand", function () 
						{	$("html, body").animate({ scrollTop: "700" }, 1000);	});		// ... nach Top scrollen																		
					//---
					
					<!-- On_Pageinit_3 -->		//  ... früher pageinit
					$(document).on('pagecreate', '#page3' ,function() 
					{	//alert("pagecreate page3 "); 
		
						//--- Kabelabschnitte
						$('#checkbox-6c').on('change', function()
						{// alert("checkboc-6c");
							if($('#checkbox-6c').is(':checked'))
								document.getElementById("kabelsegm").style.display='block';
							else
								document.getElementById("kabelsegm").style.display='none';
						});
						//---
												
						//---	Phasenanschnitt Vormessung
						$('#checkbox-6e').change( function()				// $('#slider-PhasLim') || 
						{// alert("change checkbox-6e");
							if($('#checkbox-6e').is(':checked'))							// ... Vormessung	
							{
								var data1 = 0;																			// enable					
								document.getElementById("phalim").style.display='block';
							}
							else
							{
								var data1 = 1;																		// disable
								document.getElementById("phalim").style.display='none';							
							}
							//---	
							var data2 = $("#slider-PhasLim").val() * 1000;		// Slider-Wert in kA
						 	$.post("set_phaslim.php",
							{
									PreMeasure	:	data1,
									Fuse800Limit: data2,													// Variable für das aktuelle Limit
									weitere: "nochnix"							
							});
						});
						//---	

						//---	Phasenanschnitt Limit (kA) 1 ... 9
						$('#slider-PhasLim').change( function()							// $('#slider-PhasLim') || 
						{// alert("change slider-PhasLim");
							var data1 = 1;																		// disable
							if($('#checkbox-6e').is(':checked'))							// ... Vormessung	
								data1 = 0;																			// enable
							//var data1 = $("#checkbox-6e").val()*1;						// Vormessung ein/aus
							var data2 = $("#slider-PhasLim").val() * 1000;		// Slider-Wert in kA
							//--							
						 	$.post("set_phaslim.php",
							{
									PreMeasure	:	data1,
									Fuse800Limit: data2,													// Variable für das aktuelle Limit
									weitere: "nochnix"							
							});
						});
						//---	

					});
					
				</script> 
        <!-- ****************************************** --> 
        
      </div>
      <!-- ***** Erweiterte Funktion  -  ENDE ***** --> 
      
      
      <!-- ****************************************** --> 
      <script type="text/javascript">
      <!-- On_Pageinit_3 -->
      $(document).on('pageinit', '#page3' ,function() 
        {	// alert("On_Pageinit_3");
          On_Pageinit_3();	
          //***	
          $.get( "gui_mode.php", function( data ) 
          {
            gui_mode =  parseInt(data);						// Umwandlung String to Int
            //alert("GUI-Mode 1p/3p:  " + gui_mode); 
          });
        });		/* $('#pop33').click();	 [[[Einstellungen wurden erfolgreich geladen.]]]	*/

  
      <!-- Button: sichern [Fehlerortung] -->
      $('#save_3').click(function () 
        { //	alert("SavePage3 pos: "+pos_tag);		
					if($("#cross-choice-41").val() != 0 && ($("#cross-choice-43").val() == 0 && $("#cross-choice-44").val() == 0 
							 && $("#cross-choice-45").val() == 0) && pmaok == 1)
					{ // alert(" ... PM nicht zugeordnet ... "+pmaok);
						document.getElementById("PMzuordung").style.backgroundColor = "red"; 						
						$('#pop31').click();					
						return;
					}
					else
						document.getElementById("PMzuordung").style.backgroundColor = "lightgrey"; 						
					//---					
					SavePage3(); 	
          //alert("... Daten abgelegt!");
          $('#pop43').click();
        });
            
      <!-- O... weitere ... -->
  
    </script> 
      <!-- ****************************************** --> 
      
    </div>

    <!--***********************************************--> 
    <!--***     PopUp-Menü 31 (...PM-Zuordnung fehlt!)     ***-->
    <div  style="height: 0px;width: 0px;overflow:hidden;"> <a id="pop31" href="#popupDia31" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a> </div>
    <div data-role="popup" id="popupDia31" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
      <div data-role="header" data-theme="a">
        <h5></h5>
      </div>
      <div role="main" class="ui-content">
        <h3 class="ui-title"></h3>
        <p><?php echo $ID[290]; ?></p>
        <a href="x" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back" data-transition="flow"><?php echo $ID[153]; ?></a> </div>
    </div>
    <!--***  PopUp-Menü 31 (...PM-Zuordnung fehlt!) -ENDE  ***--> 
    <!--***********************************************-->    
    <!--***********************************************--> 
    <!--***     PopUp-Menü 33 (...Daten geladen)     ***-->
    <div  style="height: 0px;width: 0px;overflow:hidden;"> <a id="pop33" href="#popupDia33" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a> </div>
    <div data-role="popup" id="popupDia33" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
      <div data-role="header" data-theme="a">
        <h5></h5>
      </div>
      <div role="main" class="ui-content">
        <h3 class="ui-title"></h3>
        <p><?php echo $ID[156]; ?></p>
        <!--	<a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back">Cancel</a>	--> 
        <a href="x" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back" data-transition="flow"><?php echo $ID[153]; ?></a> </div>
    </div>
    <!--***  PopUp-Menü 33 (...Daten geladen) -ENDE  ***--> 
    <!--***********************************************--> 
    <!--***********************************************--> 
    <!--***     PopUp-Menü 43 (...Daten abgelegt)    ***-->
    <div  style="height: 0px;width: 0px;overflow:hidden;"> <a id="pop43" href="#popupDia43" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a> </div>
    <div data-role="popup" id="popupDia43" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
      <div data-role="header" data-theme="a">
        <h5></h5>
      </div>
      <div role="main" class="ui-content">
        <h3 class="ui-title"></h3>
        <p><?php echo $ID[157]; ?></p>
        <!--	<a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back">Cancel</a>	--> 
        <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a> </div>
    </div>
    <!--***  PopUp-Menü 43 (...Daten abgelegt) -ENDE ***--> 
    <!--***********************************************--> 
    <!--********************************************************--> 
    <!--***        PopUp-Menü 34      ***-->
    <div  style="height: 0px;width: 0px;overflow:hidden;"> <a id="pop34" href="#popupDia34" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a> </div>
    
    <!-- Datenexport	-->
    <div data-role="popup" id="popupDia34" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
      <div data-role="header" data-theme="a">
        <h5></h5>
      </div>
      <div role="main" class="ui-content">
        <h3 class="ui-title"></h3>
        <p><?php echo $ID[164]; ?></p>
        <!--	SFC250 Datenexport	--> 
        <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a> <a href="javascript:setupRequest('05', 8);" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a> </div>
    </div>
    <!--***     PopUp-Menü 34  - ENDE   ***--> 
    <!--********************************************************--> 
    
  </div>
  <!-- ***** >>> Fehlerortung - ENDE <<< ***** --> 
  <!--*****************************************--> 

  <!--*************************************--> 
  <!--**** DialogPage: Lizenzschlüssel ****-->
  <div data-role="page" id="dialogPage31">
    <div data-role="header">
      <h2></h2>
    </div>
    <div role="main" class="ui-content"> 
      <!--	<p>I am a dialog</p>	-->
      <label for="text-305"><a><?php echo $ID[73] ?>:</a> </label>
      <!-- Lizenzschlüssel -->
      <input class="text_input" data-clear-btn="true" name="text-305" id="text-305" value="" type="text">
      <a id="save_7" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-top"></a> </div>
    <script type="text/javascript">
		<!-- Lizenzschlüssel speichern -->
		$('#save_7').click(function () 
			{ SaveLicenceKey(); });
  </script> 
  </div>
  <!--* DialogPage: Lizenzschlüssel - ENDE*--> 
  <!--*************************************--> 

  <!--*************************************--> 
  <!--***     Datenexport Dialogbox     ***	  -->
  <div  style="height: 0px;width: 0px;overflow:hidden;"> <a id="datexp32" href="#dialogPage32" data-rel="dialog" data-transition="pop" >DateneXxxxXport ?</a> </div>
  <!--* Datenexport Dialogbox - ENDE  *--> 

  <!--**** DialogPage: Datenexport ****-->
  <div data-role="page" id="dialogPage32">
    <div data-role="header">
      <h2><?php echo $ID[26] ?> </h2>
    </div>
    <div role="main" class="ui-content"> 
      
      <!-- ************* Statemachine-Monitoring ************ -->
      <input data-clear-btn="false" name="text-308" id="text-308" value="asdf" type="text">
      <script> $("#text-308").hide(); </script>
      <div id="inputype"> 
        <!--	Auswahl Eingangstyp  -->
        <fieldset data-role="controlgroup" data-type="horizontal" id="radio3">
          <legend></legend>
          <!-- <?php echo $ID[184] ?>:  [Eingangstyp] -->
          <input name="radio-3" id="radio-3a" value="0" type="radio">
          <label for="radio-3a"> <?php echo $ID[196] ?> </label>
          <input name="radio-3" id="radio-3b" value="1" type="radio">
          <label for="radio-3b"> <?php echo $ID[197] ?> </label>
        </fieldset>
        <script> $("#radio3").attr("checked",false); $("#radio-3b").attr("checked",false); </script> 
      </div>
      
      <!--	Export Data starten  -->
      <div id="expostart"> <a  id="expodata" data-role="button" data-mini="true" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right" ><?php echo $ID[181] ?></a> </div>
      <script> $("#expostart").hide(); </script> 
      
      <!-- Statuszeile -->
      <div id="expostatus">
        <label for="text-307"><a><?php echo $ID[67] ?>:</a> </label>
        <input data-clear-btn="false" name="text-307" id="text-307" value="" type="text">
      </div>
      <script> $("#expostatus").hide(); </script> 
      
      <!-- USB-Stick nicht entfernen --> 
      <a id="keepusb"> <?php echo $ID[187] ?> </a> 
      <script> $("#keepusb").hide(); </script> 
      
      <!-- Progressbar -->
      <div id="exposli1" class="example full-width-slider" > <!--	class="example full-width-slider"	--> 
        <!--	 <label for="theSlider1"><a><?php echo $ID[187] ?>:</a></label>	-->
        <input type="range" name="theSlider1" id="theSlider1" min="0" max="100" value="0" data-highlight="true" />
        <script> $('#theSlider1').next().find('.ui-slider-handle').hide(); </script> 
      </div>
      <script> $("#exposli1").hide (); </script> 
      
      <!-- Delete-Button	-->
      <div id="expo2"> <a href="#" id="deldata" data-role="button" data-mini="true" ><?php echo $ID[179] ?></a> <!--	Daten löschen		--> 
      </div>
      <!-- expo2 - ENDE --> 
      <script> $("#expo2").hide(); </script> 
      
      <!-- Remove-Button	-->
      <div id="expo3"> <a href="#" id="usbdiscon1" data-role="button" data-mini="true" ><?php echo $ID[180] ?></a> <!--	USB sicher entfernen	  --> 
        
        <!--	<div id="refresh" style="text-align:center;"></div>	--> 
        <!--
      <label for="text-306">Datenexport: alle Parameter </label>					 Datenexport URSPRUNG 
      <input class="text_input" data-clear-btn="true" name="text-306" id="text-306" value="" type="text"> 
			--> 
        
      </div>
      <!-- expo3 - ENDE --> 
      <script> $("#expo3").hide(); </script> 
    </div>
    <script type="text/javascript">
		//	Datenexport-Funktionen   

		<!--	Request1 starten wenn DiaologPage32 geöffnet wird	-->
		$('#dialogPage32').on('pageshow', function (event, ui) {
			//alert("erster Halt pageshow");
			Start_Request1();	
			HighlightColor($("#theSlider1"));
			});
		
		<!--	Request1 stoppen wenn DiaologPage32 geschlossen wird	-->
		$('#dialogPage32').on('pagehide', function () {
			Stopp_Request1();	});

		<!-- On_Change_inputtype	-->
		$('input[type=radio][name=radio-3]').change(function () 
			{	// alert("RadioButton: "+$("#radio3 :radio:checked").val());
				StateMachine = 1;				//	Staemachine starten
				$("#expostatus, #keepusb, #exposli1, #expo2, #expo3").hide();			// Buttons, Textfleder, Slider verstecken
				if($("#radio3 :radio:checked").val() == 0)
					javascript:dataexpoRequest('00', 12, 0);		// 12 = Fault event data
				if($("#radio3 :radio:checked").val() == 1)
					javascript:dataexpoRequest('00', 13, 0);		// 13 = U-I logger data
			});

		<!--	Kopiervorgang starten	-->
		$('#expodata').click(function () {
				//	javascript:setupRequest('05', 8);	// ... war vorher über loadstatusxml.js
			$("#expostatus").show();
			state = 0;
			$("#text-307").val("")
			javascript:dataexpoRequest('01', intype, 0);	
		});

		<!--	Daten löschen	-->
		$('#deldata').click(function () {
			// alert("Daten löschen");
			javascript:dataexpoRequest('02', intype, 0);	
		});

		<!--	USB-Stick entfernen	-->
		$('#usbdiscon1').click(function () {
			javascript:dataexpoRequest('03', 16, 0);	
			//	alert("USB-Stick sichern entfernen");
		});
		


		<!--- ********************************** -->
		<!--- ********************************** -->
    $('#theSlider1').on('change', function(){
			alert(" HighlightColor ");
        //HighlightColor('#theSlider1');
				});
		<!--- ********************************** -->
		<!--- ********************************** -->

  </script> 
  </div>
  <!--* DialogPage: Datenexport-ENDE  *--> 
  <!--*************************************-->

  </body>
</html>
