<!doctype html>

<?php
//-------------------------------------------------------------------
/*! 
 *	\file setup_132.php
 *
 * 	\brief			Authentifizierung und Aufruf der Startseite: [start3p01.php]
 *
 *	\pre				Die Authentifizierung erfolgt über das HTTP-Protokoll. Der Server bzw. das Skript sendet einen HTTP-Header 
 *							an den Browser, der zur Authentifizierung auffordert. Der Anwender erhält daraufhin vom Browser ein Loginfenster 
 *							präsentiert, Der Anwender loggt sich ein und erhält Zugriff auf den geschützten Bereich in  "lighttpd-Webserver". 
 *							Kann dieser nicht identifiziert werden, so wird der Zugriff verweigert und der Anwender erhält eine Fehlermeldung.
 *			
 *	\details			Benutzername und Passwort für die  .htaccess-Datei  in "/home/sfc250sm/WebServer/.htpasswd" werden über den 
 *							Dispacher aus der Mission.xml geholt und eingetragen. Passwort wird dann automatisch verschlüsselt abgelegt.
 *							
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//-------------------------------------------------------------------
?>
<html>
  <head>
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta charset="utf-8">
  <title>set_grundeinstellung</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv='cache-control' content='no-cache'>
  <meta http-equiv='expires' content='0'>
  <meta http-equiv='pragma' content='no-cache'>

  <link rel="shortcut icon" href="../images/global.logo.png"/>

  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
  <link href="../jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css"/>
  <link href="../keyboard/vkeyboard2/keyboardstyle.css" type="text/css" rel="stylesheet" />
  <link href="../css/jquery_page.css" rel="stylesheet" type="text/css">
  <link href="../css/slid_butt.css" rel="stylesheet" type="text/css">
  <script src="../jquery-mobile/jquery-1.11.3.min.js"></script>
  <script src="loadstatusxml.js"> </script>
  <script src="setup_scripts.js"> </script>
	<script src="pm_abgl_requ.js">	</script> 
  <script src="get_dat_exp.js">	</script>

  <!--
  <script src="setup_3p_addon.js"> </script>
	<script src="sim_pin_requ.js">	</script> 
  -->

  <script src="../jquery-mobile/jquery.mobile-1.4.5.min.js"></script>
  <script type="text/javascript" src="../keyboard/vkeyboard2/jquery-fieldselection.js"></script>
  <script type="text/javascript" src="../keyboard/vkeyboard2/vkeyboard.js"></script>
  <!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

  <script type="text/javascript">
		// window.onerror = Fehlerbehandlung;
		//---
		javascript:setupRequest('19', 'page2');		//		Homeabfrage - deckel auf oder zu ? - Sprache | CA-Adapter angeschlossen
		//---
		$(document).ready(function(){			<!-- unbeabsichtigtes 'Drag' von Elementen verhindern -->
			$("body").css("-webkit-user-select","none");
			$("body").css("-moz-user-select","none");
			$("body").css("-ms-user-select","none");
			$("body").css("-o-user-select","none");
			$("body").css("user-select","none");
		});

		//-----	Deep-Link (open subcontainer) -----	
		document.onreadystatechange = function () 
		{//	alert("Deep-Link Fehlerortung")
			if (document.readyState == "complete") 
			{
				var query_string = {};
				var query = window.location.search.substring(1);
				// alert(">"+query+"<");			
				if(query != "")															// ...wenn Parameter vorhanden?
				{
					param = query.split("&");
					// alert(param[0]+"<>"+param[1])					// *** IE 9/11 und Edge-Problem ***
					var param1 = param[0].split("=");
					var param2 = param[1].split("=");
					//-			
					var para1 = "#" +  param1[1];							// Read URL Parameter para1, Angabe der Unterseite
					var para2 = param2[1];										// Read URL Parameter para2, startet Funktion/Element auf dieser Unterseite													
					// alert(">"+para1+"-"+para2+"<");				// *** IE 9/11 und Edge-Problem ***
					location.href = para1; 										// öffne Seite aus URL
					//---
					var subcont = "";													//
					if(para1 == "#page3")
					{
						javascript:setupRequest('40', 'page3');	//	alle Parameter für Page3 laden
						//---
						if(para2 == 1)
							subcont = "#datumzeit";								// Datum Zeit einstellen
					}
					//---
					DLFunction2();																// Containeranfrage vorhanden?
					//
						function DLFunction2() {
							setTimeout(function(){
								// alert("check..."+subcont);						// *** IE 9/11 und Edge-Problem ***
								if($(subcont).is(':visible')){ 					// if the container is visible on the page
									//alert("Seite geladen"+para2);  			// *** IE 9/11 und Edge-Problem ***
									$(subcont).collapsible( "expand" );
								} ;
							}, 1000);																	// ... Abfrage wird erst nach 1Sek. ausgeführt, Abwarten der Page3 Parameter-Ladezeit
						};
					//---
				};
			};	
		};		
		//-----	Deep-Link (open subcontainer)  -  ENDE -----	

	//---		
  </script>

  <!--	-->

  </head>

  <body ondragstart="return false">
  <?php include ("trans_setup.php"); include ("keyboard.php"); ?>
  <!--	Translation setup_132.php	 und Keyboard--> 

<!--***********************************************-->
<!-- *****     >>> Grundeinstellungen <<<    ***** -->
<div data-role="page" id="page6">
	<div class="ui-bar-b" data-role="header">
  	<!-- <a href="#page" id="but_back_g" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a> -->
    <a href="javascript:GoBack_1p_3p()" target="_self" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a>
		<h1><?php echo $ID[66] ?></h1>											<!-- Grundeinstellungen -->
    <!--  <a  id="save_6" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a> -->
	</div>
	<div data-role="content"  id"statlickey">
  <div data-role="collapsible-set" data-theme="c" data-content-theme="d">
  <!--
    <div data-role="collapsible">
        <h3>Geräteinformation</h3>
        <p>I'm the collapsible content for section 1</p>
    </div>
    -->
    <div data-role="collapsible">
      <h3 id="status"><?php echo $ID[67] ?></h3>				 									<!-- Status -->			
      
      <div class="ui-grid-a">
        <div class="ui-block-a"> 
          <form>
          	<div id="statusanz">
              <label for="text-61"><?php echo $ID[71] ?></label>		    	<!-- Benutzerdefinierter Gerätename -->
              <input  class="text_input" data-clear-btn="true" name="text-61" id="text-61" value="" type="text">
  
              <label for="text-62"><?php echo $ID[72] ?>:</label>         <!-- Seriennummer -->
              <input disabled="disabled" name="text-62" id="text-62" value="" type="text">
              <!-- <input data-clear-btn="true" name="text-62" id="text-62" value="" type="text"> -->
              
              <label for="text-63"><?php echo $ID[73] ?>:</label>         <!-- Lizenzschlüssel -->
              <input disabled="disabled" name="text-63" id="text-63" value="" type="text">

              <label for="text-64">PM-Config:</label>         						<!-- PM-Config -->
              <input disabled="disabled" name="text-64" id="text-64" value="" type="text">
						</div>            
          </form>        
        </div><!-- /ui-block -->      

        <div class="ui-block-b">
          <a  id="save_6" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a>
        </div><!-- /ui-block -->      
      </div>
        
    </div>
    
    <!--**********************************-->
    <!--***  			 Hilfsmittel						-->
    <div id="hilfsmittel" data-role="collapsible">
        <h3 id="toolmod" ><?php echo $ID[68] ?></h3>        							<!-- Tools -->	
        	<!--  <a href="javascript:setupRequest('05', 4)" id="restart" data-role="button" data-mini="true" ><?php echo $ID[74] ?></a>   -->
        <!-- SFC250-SM Neustart	-->  
        <a href="#" id="restart" data-role="button" data-mini="true" ><?php echo $ID[74] ?></a>     
        <!-- SFC250-System zurücksetzen	-->  
        <a href="#" id="sysreset" data-role="button" data-mini="true" ><?php echo $ID[320] ?></a>     
				
        <!-- neu ab 19.11.2020 -->
				<!-- Eigenschaften ablegen -->
        <a href="#" id="proper_save" data-role="button" data-mini="true" ><?php echo $ID[327] ?></a>     
				<!-- Eigenschaften wiederherstellen -->
        <a href="#" id="proper_rest" data-role="button" data-mini="true" ><?php echo $ID[328] ?></a>     
        <!-- neu ab 19.11.2020 - ENDE -->

        <!-- Touchscreen jetzt neu kalibrieren? -->
        <a href="#" id="touchcal" data-role="button" data-mini="true" ><?php echo $ID[76] ?></a>	   
				<!-- Update SFC250 Power Modul jetzt -->
        <a href="#" id="upda_pm" data-role="button" data-mini="true" ><?php echo $ID[75] ?></a>     

        <!-- ******** nach erfolgreichem Test kann dieser Teil mit all seinen dazugehörigen Komponenten gelöscht werden -->
        <!-- Aktuelle Einstellungen jetzt als neue Grundeinstellungen speichern?
        <a href="#" id="defaultset" data-role="button" data-mini="true"  ><?php echo $ID[77] ?></a>  
				<!-- Grundeinstellung laden 
        <a href="#" id="defaultget" data-role="button" data-mini="true"  ><?php echo $ID[148] ?></a>
        -->
        <!-- ******** nach erfolgreichem Test kann dieser Teil mit all seinen dazugehörigen Komponenten gelöscht werden -->

        
        <!-- Werkseinstellung laden -->
        <a href="#" id="factset" data-role="button" data-mini="true"  ><?php echo $ID[78] ?></a>    
        <!-- VPN-Konfiguration laden -->
        <a href="#" id="vpnload" data-role="button" data-mini="true"  ><?php echo $ID[177] ?></a>    
        <!-- VPN-Konfiguration exportieren -->
        <a href="#" id="vpnexpo" data-role="button" data-mini="true"  ><?php echo $ID[178] ?></a>    
    </div>
    
      <script type="text/javascript">
				$('#restart').click(function ()			{ $('#pop53').click();	});   
				$('#sysreset').click(function ()		{ $('#pop53a').click();	});   
				// neu ab 19.11.2020
				$('#proper_save').click(function ()	{ $('#pop53b').click();	});   
				$('#proper_rest').click(function ()	{ $('#pop53c').click();	});   
				//
				$('#touchcal').click(function ()		{ $('#pop55').click();	});   
				$('#upda_pm').click(function ()			{ $('#pop54').click();	});    
				$('#defaultset').click(function ()	{ $('#pop56').click();	});   
				$('#defaultget').click(function ()	{ $('#pop57').click();	});   
				$('#factset').click(function ()			{ $('#pop58').click();	});    
				$('#vpnload').click(function ()			{ $('#pop59').click();	});    
				$('#vpnexpo').click(function ()			{ $('#pop60').click();	});    
    	</script>
      
      <!--********************************************************-->
      <!--***        PopUp-Menü 53 ... 60(SFC250-SM Neustart)        ***-->
      <div  style="height: 0px;width: 0px;overflow:hidden;">
        <a id="pop53" href="#popupDia53" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
        <a id="pop53a" href="#popupDia53a" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
<!-- neu ab 19.11.2020 -->
        <a id="pop53b" href="#popupDia53b" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
        <a id="pop53c" href="#popupDia53c" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
<!-- neu ab 19.11.2020 - Ende -->
        <a id="pop54" href="#popupDia54" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
        <a id="pop55" href="#popupDia55" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
        <a id="pop56" href="#popupDia56" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
        <a id="pop57" href="#popupDia57" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
        <a id="pop58" href="#popupDia58" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
        <a id="pop59" href="#popupDia59" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
        <a id="pop60" href="#popupDia60" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
      </div>
			<!-- SFC250-SM Neustart	-->
      <div data-role="popup" id="popupDia53" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[170]; ?></p>								<!--	"../start01.php" target="_parent"   	SFC250 jetzt neu starten?	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 4)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>

      
			<!-- SYSTEM-Reset	-->
      <div data-role="popup" id="popupDia53a" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <div style="text-align:center">
            <p><?php echo "*** ".$ID[320]." ***"; ?></p>	<!--	System zurücksetzen	-->
            <p><?php echo $ID[321]; ?></p>								<!--	Spannungsunterbrechung	-->
            <p><?php echo $ID[322]; ?></p>								<!--	für 1 Minute	-->
					</div>
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 26)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>

      
			<!-- Eigenschaften sichern	-->
      <div data-role="popup" id="popupDia53b" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <div style="text-align:center">
            <p><?php echo "*** ".$ID[279]." ***"; ?></p>	<!--	Information	-->
            <p><?php echo $ID[327]; ?></p>								<!--	Eigenschaften sichern	-->
					</div>
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 27)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>

      
			<!-- Eigenschaften wiederherstellen	-->
      <div data-role="popup" id="popupDia53c" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <div style="text-align:center">
            <p><?php echo "*** ".$ID[279]." ***"; ?></p>	<!--	Information	-->
            <p><?php echo $ID[328]; ?></p>								<!--	Eigenschaften wiederherstellen	-->
					</div>
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 28)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>


      <!-- Update SFC250 Power Modul jetzt -->
      <div data-role="popup" id="popupDia54" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[169]; ?></p>								<!--	 	Update SFC250 Power Modul	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 2)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>
      
      <!-- Touchscreen jetzt neu kalibrieren? -->
      <div data-role="popup" id="popupDia55" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[168]; ?></p>								<!--	 	Touchscreen jetzt neu kalibrieren?	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 3)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>
      
      <!-- Aktuelle Einstellungen jetzt als neue Grundeinstellungen speichern? -->
      <div data-role="popup" id="popupDia56" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[167]; ?></p>								<!--	 	 Grundeinstellungen speichern?	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 6)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>
      
      <!-- Grundeinstellung laden -->
      <div data-role="popup" id="popupDia57" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[166]; ?></p>								<!--	 	Grundeinstellungen jetzt laden?	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 7)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>
      
      <!-- Werkseinstellung laden -->
      <div data-role="popup" id="popupDia58" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[171]; ?></p>								<!--	 	SFC250 Werkseinstellungen	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
          <a href="javascript:setupRequest('05', 5)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>
           
      <!-- VPN-Konfiguration laden? -->
      <div data-role="popup" id="popupDia59" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[177]; ?> ?</p>								<!--	VPN-Konfiguration laden?	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
      		<a href="javascript:setupRequest('05', 10)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>
      
      <!-- VPN-Konfiguration exportieren -->
      <div data-role="popup" id="popupDia60" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[178]; ?> ?</p>								<!--	VPN-Konfiguration exportieren?	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
     			<a href="javascript:setupRequest('05', 11)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>
      
      <!--***          PopUp-Menü 54 (SFC250-SM Neustart)      ***-->
      <!--********************************************************-->

      <script type="text/javascript">
				<!-- On_Datum/Zeit/Sprache_Expand -->
				<!-- Fenster nach oben scrollen --> 
				$('#hilfsmittel').on("collapsibleexpand", function () 
					{	$("html, body").animate({ scrollTop: "170" }, 1000);		// ... nach Top scrollen	 
					});											
			</script>
      
    <!--***   	Hilfsmittel - ENDE				-->
    <!--**********************************-->

    <!--**********************************-->
    <!--***     Datum/Zeit/Sprache				-->
    <div id="datumzeit" data-role="collapsible">
	    <h3 id="datzeispr" ><?php echo $ID[69] ?></h3>            					<!-- Datum/Zeit/Sprache -->
            
      <div class="ui-grid-b">
        <div class="ui-block-a">
          <form>
              <label for="flip-40"><?php echo $ID[79] ?>:</label>       	<!-- Datum/Zeit -->
              <select name="flip-40" id="flip-40" data-role="slider"  disabled="disabled"data-mini="true">
                <option value="1">GPS</option>
                <option value="0"><?php echo $ID[80] ?></option>		    	<!-- lokal -->
              </select>
          </form>        
        </div><!-- /ui-block -->      
        
        <div class="ui-block-b">
        <!-- am 23 11.2020 nach unten verlagert 
          <form>
              <label for="flip-41"><?php echo $ID[270] ?>:</label>       	<!-- 	externe (Client) Synchronisation 
              <select name="flip-41" id="flip-41" data-role="slider" data-mini="true">
                <option value="1"><?php echo $ID[7] ?></option>		    		<!-- Ein 
                <option value="0"><?php echo $ID[24] ?></option>		    	<!-- Aus 
              </select>
          </form> 
          -->       
        </div><!-- /ui-block -->      
  
        <div class="ui-block-c">
          <a  id="save_4" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a>
        </div><!-- /ui-block -->      
	    </div>


 			<div class="ui-grid-a">
    		<div class="ui-block-a">
          <form>
            <label for="date-4"><?php echo $ID[81] ,":  ",$ID[82] ?></label>        				<!-- Datum -->
            <input class="text_input" type="text" data-clear-btn="true" name="date-4" id="date-4" value="" placeholder=<?php echo $ID[82] ?>>
    
            <label for="time-4"><?php echo $ID[83] ,":  ",$ID[285] ?></label>        				<!-- Zeit -->
            <input class="text_input" type="text"  data-clear-btn="true" name="time-4" id="time-4" value="" placeholder=<?php echo $ID[285] ?>>
          </form>  

        </div><!-- /ui-block-a - ENDE -->      

    		<div class="ui-block-b" style="padding-left:50px" >
          <form>
              <label for="flip-42"><?php echo $ID[329] ?>:</label>       	<!-- 	Datumsüberprüfung -->
              <select name="flip-42" id="flip-42" data-role="slider" data-mini="true">
                <option value="1"><?php echo $ID[7] ?></option>		    		<!-- Ein -->
                <option value="0"><?php echo $ID[24] ?></option>		    	<!-- Aus -->
              </select>
          </form>        
          <form>
              <label for="flip-41"><?php echo $ID[270] ?>:</label>       	<!-- 	externe (Client) Synchronisation -->
              <select name="flip-41" id="flip-41" data-role="slider" data-mini="true">
                <option value="1"><?php echo $ID[7] ?></option>		    		<!-- Ein -->
                <option value="0"><?php echo $ID[24] ?></option>		    	<!-- Aus -->
              </select>
          </form>        
        </div><!-- /ui-block-b - ENDE -->      
	    </div>

    
      <label for="select-choice-a" class="select"><?php echo $ID[84] ?>:</label>      <!-- Zeitzone -->  
      <select name="select-choice-a" id="select-choice-a" data-native-menu="false"  data-mini="true">
          <option><?php echo $ID[84] ?></option>				 									<!-- Zeitzone -->	
          <option value="Berlin">Europe: Berlin</option>
          <option value="Paris">Europe: Paris</option>
          <option value="London">Europe: London</option>
      </select>
    
    
    
    
      <fieldset data-role="controlgroup" data-type="horizontal" id="radio4">	
     		<legend><?php echo $ID[85] ?>:</legend>         							<!--		 Sprache -->
        
    		<div class="tooltip">        
	        <input name="radio-4" id="radio-4a" value="0" type="radio">
  	      <label for="radio-4a"> <img src="../images/German.png"> </label>
	        <span class="tooltiptext">German</span>
    		</div>  
 			  <div class="tooltip">        
        	<input name="radio-4" id="radio-4b" value="1" type="radio">
        	<label for="radio-4b"> <img src="../images/English.png"> </label>
        	<span class="tooltiptext">English</span>
    		</div>  
        
 			  <div class="tooltip">        
	        <input name="radio-4" id="radio-4c" value="2" type="radio">
  	      <label for="radio-4c"> <img src="../images/French.png"> </label>
        	<span class="tooltiptext">French</span>
    		</div>  

 			  <div class="tooltip">        
  	      <input name="radio-4" id="radio-4d" value="3" type="radio">
	        <label for="radio-4d"> <img src="../images/Spanish.png"> </label>
        	<span class="tooltiptext">Spanish</span>
    		</div>  

 			  <div class="tooltip">        
    	    <input name="radio-4" id="radio-4e" value="4" type="radio">
  	      <label for="radio-4e"> <img src="../images/Hungarian.png"> </label>
        	<span class="tooltiptext">Hungarian</span>
    		</div>  
        
 			  <div class="tooltip">        
 	       <input name="radio-4" id="radio-4f" value="5" type="radio">
        	<label for="radio-4f"> <img src="../images/Russian.png"> </label>
        	<span class="tooltiptext">Russian</span>
    		</div>  
        
 			  <div class="tooltip">        
      	  <input name="radio-4" id="radio-4g" value="6" type="radio">
    	    <label for="radio-4g"> <img src="../images/Romanian.png"> </label>
        	<span class="tooltiptext">Romanian</span>
    		</div>  
        
 			  <div class="tooltip">        
	        <input name="radio-4" id="radio-4h" value="7" type="radio">
  	      <label for="radio-4h"> <img src="../images/Dutch.png"> </label>
        	<span class="tooltiptext">Dutch</span>
    		</div>  
      
 			  <div class="tooltip">        
	        <input name="radio-4" id="radio-4i" value="8" type="radio">
  	      <label for="radio-4i"> <img src="../images/Swedish.png"> </label>
        	<span class="tooltiptext">Swedish</span>
    		</div>  

      </fieldset> 

      <!--***    Button: Update Language   ***-->
<!--
      <div id="langimpo"		 style="visibility:hidden"	>
       	<a href="#" id="langimpo1" data-role="button" data-mini="true" ><?php echo $ID[259] ?></a> 
        <script type="text/javascript">	$('#langimpo1').click(function ()	{ $('#langimp32').click(); }); </script> 
      </div>
-->
      <!--***    Dialogbox:  Update Language  aufrufen ***-->
<!--
      <div  style="height: 0px;width: 0px;overflow:hidden;"> <a id="langimp32" href="#langimPage" data-rel="dialog" data-transition="pop" >updatexxlanguage</a> </div>
 -->
                   
      <!-- *******   Daten einstellen   ************* -->
      <?php
      date_default_timezone_set("Europe/Berlin");
      $timestamp = time();
      $datum = date("d.m.Y",$timestamp);
      $uhrzeit = date("H:i:s",$timestamp);
      //echo 'set_date 2015/10/25 21:10:20 > tmp/Comin';
      ?>
      <!-- -->
      <script type="text/javascript">
				// alert('<?php echo $datum ?>' + '\n' + '<?php echo $uhrzeit ?>');
        $("#date-4").val('<?php echo $datum ?>');
        $("#time-4").val('<?php echo $uhrzeit ?>');
      </script>
      <!-- ****************************************** -->
    
      <!-- ****************************************** -->
      <script type="text/javascript">
				<!-- On_Datum/Zeit/Sprache_Expand -->
				<!-- Fenster nach oben scrollen --> 
				$('#datumzeit').on("collapsibleexpand", function () 
					{	$("html, body").animate({ scrollTop: "240" }, 1000);		// ... nach Top scrollen	 
					});											

			
        <!-- On_Pageinit_4 -->
        $('#datzeispr').click(function ()
          {	// alert("... datzeispr ...");

						On_Pageinit_4();
						
							});
				    
        <!-- Button: fertig [Datum/Zeit]-->
        $('#save_4').click(function () 
          { //alert("... Daten xxxxx ablegen ...");
            SavePage4();	$('#pop44').click();	}); 	
            
        <!-- O... weitere ... -->
      </script>
      <!-- ****************************************** -->

      <!--***********************************************-->
      <!--***     PopUp-Menü 44 (...Daten abgelegt)    ***-->
      <div  style="height: 0px;width: 0px;overflow:hidden;">
        <a id="pop44" href="#popupDia44" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
      </div>
      <div data-role="popup" id="popupDia44" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
        <div data-role="header" data-theme="a">
          <h7></h7>
        </div>
        <div role="main" class="ui-content">
          <h3 class="ui-title"></h3>
          <p><?php echo $ID[157]; ?></p>
          <!--	<a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back">Cancel</a>	-->
          <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        </div>
      </div>
      <!--***  PopUp-Menü 44 (...Daten abgelegt) -ENDE ***-->
      <!--***********************************************-->


    </div>
    <!--***  Datum/Zeit/Sprache - ENDE		-->
    <!--**********************************-->
 
 
    <!--***********************************************-->
    <!--***    Service						 									***-->      
    <div id="servmodx" data-role="collapsible"  >
      <h3 id="servmod" ><?php echo $ID[70] ?></h3> 				      					<!-- Service -->

      <form>
      <fieldset data-role="controlgroup" data-type="horizontal">
        <legend><?php echo $ID[86] ?>:</legend>					<!-- SFC-Modus -->
        <input name="radio-61" id="radio-61a" value="0" type="radio">
        <label for="radio-61a"><?php echo $ID[87] ?></label>	        		<!-- Kunde -->
        <input name="radio-61" id="radio-61b" value="1" type="radio">
        <label for="radio-61b"><?php echo $ID[70] ?></label>							<!-- Service -->
        <input name="radio-61" id="radio-61c" value="2" type="radio">
        <label for="radio-61c"><?php echo $ID[88] ?></label>							<!-- Entwicklung -->
        <input name="radio-61" id="radio-61d" value="4" type="radio">
        <label for="radio-61d"><?php echo $ID[90] ?></label>							<!-- Office -->
        <!--	<input name="radio-61" id="radio-61e" value="8" type="radio">
        <label for="radio-61e"><?php echo $ID[89] ?></label>							 Demo  -->
      </fieldset>
      </form>               
 
      <div id="modelogin"  style="visibility:hidden;">  
        <form action="access.php" method="post" id="loginform" >     
          <div class="ui-grid-a">
            <div class="ui-block-a">
            <!--  <h3>Login: <a id="wrong"></a> </h3>  -->
              <label for="pwd"><?php echo $ID[43] ?>:</label>
							
              <input class="text_input" name="pwd" type="text" id="pwd" value=""/>
            </div>          						        
            <div class="ui-block-b">
              <br>
              <input type="submit" name="Submit" id="submit_butt" value="<?php echo $ID[173] ?>" data-mini="true" />
            </div>          
          </div>  
        </form>
      </div>  
           
		</div>
		<!-- Fenster nach oben scrollen --> 
    <script type="text/javascript">
			$('#servmodx').bind('collapsibleexpand', function () {
					//alert('Expanded');
					$("html, body").animate({ scrollTop: $(document).height() }, 1000);		// ... zum Ende der Seite scrollen					
			})
		</script>
    <!--***    Service - ENDE			 									***-->      
    <!--***********************************************-->

    <!--***********************************************-->
    <!--***    PowerModul Abgleich 									***-->
    <div id="pmabgleich" data-role="collapsible" >
      <h3 id="pmabtab">PM Abgleich</h3>            																			<!-- PowerModul Abgleich -->
      
      <div class="ui-grid-a">
        <div class="ui-block-a"> 
          <form>
            <div id="pmabglanz">
              <label for="text-72">Abgleichwert 'SCALE_UI':</label>         								<!-- aktueller Abgleichwert -->
              <input 	name="text-72" id="text-72" value="" type="text">

              <label for="text-71">Datum:  JJ.MM.TT</label>		    													<!-- Datum -->
              <input  class="text_input" data-clear-btn="true" name="text-71" id="text-71" value="" type="text">

              <label for="text-73">Widerstand in mOhm:</label>		    											<!-- Widerstand -->
              <input  class="text_input" data-clear-btn="true" name="text-73" id="text-73" value="" type="text">

              <label for="text-74">Induktivität in µH:</label>		    											<!-- Induktivität -->
              <input  class="text_input" data-clear-btn="true" name="text-74" id="text-74" value="" type="text">

            </div>
          </form>             
        </div><!-- /ui-block -->      

        <div class="ui-block-b">
        	<!-- !!! noch nicht angepasst !!! -->
          <!-- <a  id="save_6" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a> -->
        	<!-- !!! noch nicht angepasst !!! -->
          <form>
            <div id="pmabglgoon">

              <!-- PM-Abgleich starten	-->  
              <a href="#" id="startabgl" data-role="button" data-mini="true" >Abgleich starten</a>     

							<br>

              <label for="text-76">Status:</label>         										<!-- aktueller Abgleichfortschritt -->
              <input name="text-76" id="text-76" value="" type="text">

							<br>

              <!-- Test am Kabel (100m)	-->  
              <a href="#" id="testtabgl" data-role="button" data-mini="true" >Test [100m...120m]</a>     

              <label for="text-77">Vorortung:</label>         								<!-- Test am Kabel (100m) -->
              <input 	name="text-77" id="text-77" value="" type="text">
            
            </div>
          </form>             
          
        </div><!-- /ui-block -->      
    	</div>  
    </div>
    
      <!-- ****************************************** -->
      <script type="text/javascript">
				//--- Ableich Reqeust aktivieren/deaktivieren
				$('#pmabgleich').bind('collapsibleexpand', function () {
						//alert('Expanded');
						$("html, body").animate({ scrollTop: $(document).height() }, 1000);		// ... zum Ende der Seite scrollen					
						Start_Request3();
						javascript:PMAbleichRequest('04',32);			// PM-Abgleich Grundeinstellung => 16A, Wieder u. Puls aus
				}).bind('collapsiblecollapse ', function () {
						//alert('Collapsed');
						Stopp_Request3();	
				});		
				//---	Abgleich starten			
				$('#startabgl').click(function ()	{
					// 
					if(pmabglon == 0)
					{	//alert("... los ghts ...");
						//$("#startabgl").text("Abgleich ... läuft!");
						javascript:PMAbleichRequest('02',24);			// PM-Abgleich aufrufen/Starten
					}
				});
				//---	Test (---m) aufrufen
				$('#testtabgl').click(function ()	{
					// 
					if(pmteston == 0)
					{	//alert("... Test (---m)los gehts ...");
						//$("#startabgl").text("Abgleich ... läuft!");
						javascript:PMAbleichRequest('03',25);			// PM-Abgleich aufrufen/Starten
					}
				});
				//---		
				$('#but_back_g').click(function () 
				{//	alert("back");
					Stopp_Request3();	
				}); 
								
      </script>
      <!-- ****************************************** -->	      
  
    <!--***    PowerModul Abgleich - ENDE  					***-->
    <!--***********************************************-->


  <!-- ****************************************** -->
  <script type="text/javascript">
    <!-- On_Pageinit_6 -->
    $(document).on('pageinit', '#page6' ,function() 
      {	On_Pageinit_6();	});		//	 		

		<!-- Status geöffnet-->
		$('#status').click(function () 	
			{ 	$("#save_6").show();	});    
			
		<!-- Tools geöffnet-->
		$('#toolmod').click(function () 
			{ 	$("#save_6").hide();	});    
			
		<!-- Service geöffnet-->
		$('#servmod').click(function () 
			{ 
				On_Pageinit_6();  
				$("#pwd").val("").textinput( "refresh" );
			});

			

		$('#submit_butt').click(function () 
			{ 
//				alert("...Mode ausgewählt...");
//				location.href = "../start3p01.php"; 
			});    


<!-- ****************************************** -->
  <!-- ****************************************** -->
	
//	$('#servmodx').hide();
	
  <!-- ****************************************** -->
<!-- ****************************************** -->												

<!-- ****************************************** -->
  <!-- ****************************************** -->
		/* On_Change_sfcmode */
		$('input[type=radio][name=radio-61]').change(function () 
			{	
				//  alert("change..."+" "+this.value );
				document.getElementById('modelogin').style.visibility	= 'visible';
				
				// On_Change_ServiceMode();
							
			});
  <!-- ****************************************** -->
<!-- ****************************************** -->												
			
		/* On_Change_ServiceMode */
		$('#flip-61').on('change', function () 
			{	On_Change_ServiceMode();	});										
			
		<!-- Button: sichern [Geräteinformation/Info/Gerätename]-->
		$('#save_6').click(function () 
			{//	alert("* SavePage6 *");
				SavePage6(); 	$('#pop66').click();	});				

    <!-- O... weitere ... -->
  			//---

  </script>
  <!-- ****************************************** -->	      

  <!--***********************************************-->
  <!--***     PopUp-Menü 66 (...Daten abgelegt)    ***-->
  <div  style="height: 0px;width: 0px;overflow:hidden;">
    <a id="pop66" href="#popupDia66" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
  </div>
  <div data-role="popup" id="popupDia66" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
    <div data-role="header" data-theme="a">
      <h7></h7>
    </div>
    <div role="main" class="ui-content">
      <h3 class="ui-title"></h3>
      <p><?php echo $ID[157]; ?></p>
      <!--	<a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back">Cancel</a>	-->
      <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
    </div>
  </div>
  <!--***  PopUp-Menü 44 (...Daten abgelegt) -ENDE ***-->
  <!--***********************************************-->
  
  </div>
 </div>
</div>


  <!--*************************************-->
  <!--**** DialogPage: UpdateLanguage  ****-->
  <div data-role="page" id="langimPage">
    <div data-role="header">
      <h2><?php echo $ID[259] ?> </h2>
    </div>
  
    <div role="main" class="ui-content"> 
  
      <!-- Import-Button -->
    	<div id="impolang"> <a  id="impostart" data-role="button" data-mini="true" class="ui-btn ui-shadow ui-corner-all" ><?php echo $ID[260] ?></a> </div>
      <!-- <script> $("#impolang").hide(); </script> -->

        <!-- Statuszeile -->
      <div id="impostatus">
        <label for="text-610"><a><?php echo $ID[67] ?>:</a> </label>
        <input data-clear-btn="false" name="text-610" id="text-610" value="" type="text">
      </div>
      <!-- <script> $("#impostatus").hide(); </script> 	-->

    </div>
    <script type="text/javascript">
			<!--	Import starten	-->
			$('#impostart').click(function () {
				alert("...go...");	
			});
		</script>  
  </div>
  <!--* DialogPage: UpdateLanguage-ENDE   *--> 
  <!--*************************************-->


<!-- ***** >>> Grundeinstellungen - ENDE <<< ***** -->
<!--***********************************************-->

  </body>
</html>
