<!doctype html>

<?php
//-------------------------------------------------------------------
/*! 
 *	\file setup_132.php
 *
 * 	\brief			Authentifizierung und Aufruf der Startseite: [start3p01.php]
 *
 *	\pre				Die Authentifizierung erfolgt über das HTTP-Protokoll. Der Server bzw. das Skript sendet einen HTTP-Header 
 *							an den Browser, der zur Authentifizierung auffordert. Der Anwender erhält daraufhin vom Browser ein Loginfenster 
 *							präsentiert, Der Anwender loggt sich ein und erhält Zugriff auf den geschützten Bereich in  "lighttpd-Webserver". 
 *							Kann dieser nicht identifiziert werden, so wird der Zugriff verweigert und der Anwender erhält eine Fehlermeldung.
 *			
 *	\details			Benutzername und Passwort für die  .htaccess-Datei  in "/home/sfc250sm/WebServer/.htpasswd" werden über den 
 *							Dispacher aus der Mission.xml geholt und eingetragen. Passwort wird dann automatisch verschlüsselt abgelegt.
 *							
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//-------------------------------------------------------------------
?>

<html>

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta charset="utf-8">
  <title>setup_132</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">

  <meta http-equiv='cache-control' content='no-cache'>
  <meta http-equiv='expires' content='0'>
  <meta http-equiv='pragma' content='no-cache'>
  
  <link rel="shortcut icon" href="../images/global.logo.png"/>

	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<link href="../jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css"/>

	<link href="../keyboard/vkeyboard2/keyboardstyle.css" type="text/css" rel="stylesheet" />  
	<link href="../css/jquery_page.css" rel="stylesheet" type="text/css">
	<link href="../css/slid_butt.css" rel="stylesheet" type="text/css">
  
	<script src="../jquery-mobile/jquery-1.11.3.min.js"></script>

	<script src="loadstatusxml.js"> </script>
  <script src="setup_scripts.js"> </script>
  <script src="setup_3p_addon.js"> </script>
   																			
	<script src="get_dat_exp.js">	</script> 
	<script src="sim_pin_requ.js">	</script> 
	<script src="pm_abgl_requ.js">	</script> 
  
	<script src="../jquery-mobile/jquery.mobile-1.4.5.min.js"></script>

	<script type="text/javascript" src="../keyboard/vkeyboard2/jquery-fieldselection.js"></script>
  <script type="text/javascript" src="../keyboard/vkeyboard2/vkeyboard.js"></script>
	<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

  <script type="text/javascript">
		// window.onerror = Fehlerbehandlung;
		//---
		javascript:setupRequest('19', 'page2');		//		Homeabfrage - deckel auf oder zu ? - Sprache | CA-Adapter angeschlossen
		//---
		$(document).ready(function(){			<!-- unbeabsichtigtes 'Drag' von Elementen verhindern -->
			$("body").css("-webkit-user-select","none");
			$("body").css("-moz-user-select","none");
			$("body").css("-ms-user-select","none");
			$("body").css("-o-user-select","none");
			$("body").css("user-select","none");
		});

		
		//-----	Deep-Link (open subcontainer) -----	
		document.onreadystatechange = function () 
		{//	alert("Deep-Link")
			if (document.readyState == "complete") 
			{
				var query_string = {};
				var query = window.location.search.substring(1);
				// alert(">"+query+"<");			
				if(query != "")															// ...wenn Parameter vorhanden?
				{
					param = query.split("&");
					// alert(param[0]+"<>"+param[1])					// *** IE 9/11 und Edge-Problem ***
					var param1 = param[0].split("=");
					var param2 = param[1].split("=");
					//-			
					var para1 = "#" +  param1[1];							// Read URL Parameter para1, Angabe der Unterseite
					var para2 = param2[1];										// Read URL Parameter para2, startet Funktion/Element auf dieser Unterseite													
					// 	alert(">"+para1+"-"+para2+"<");				// *** IE 9/11 und Edge-Problem ***
					location.href = para1; 										// öffne Seite aus URL
					//---
					var subcont = "";													//
					switch(para1) 														// URL Page-Angabe
					{
						case '#page2':													// page2
							if(para2 == 1)
								subcont = "#ilim";									// Stromlimits
							else
								subcont = "#openreclo";							// Wiedereinschalten
							break;
						case '#page3':													// page3		
								subcont = "#pulsmode";							// Puls-Mode
							break;	
						case '#page5':													// page5		
							if(para2 == 1)							
								subcont = "#setgsm";								// GSM-Einstellungen							
							break;
							
						case '#bar3':													// Grundeinstellung	
							if(para2 == 3)							
								subcont = "#datumzeit";						// Datum/Zeit/Sprache						
							break;
							
								
						default:
							//alert("nix");
							break;
					};
					//---
					checkContainer();													// Containeranfrage vorhanden?
					//---
						function checkContainer () {
							//	alert("check..."+subcont);					// *** IE 9/11 und Edge-Problem ***
							if($(subcont).is(':visible')){ 				// if the container is visible on the page
								// alert("Seite geladen"+para2);  	// *** IE 9/11 und Edge-Problem ***
								$(subcont).collapsible( "expand" );
							} else {
								setTimeout(checkContainer, 50); 		// wait 50 ms, then try again
							};	
						};
				};
			};	
		};		
		//-----	Deep-Link (open subcontainer)  -  ENDE -----	

	//---		
  </script>
  
  <!--	-->	

</head>


<body ondragstart="return false">

	<?php include ("trans_setup.php"); include ("keyboard.php"); ?>				<!--	Translation setup_132.php	 und Keyboard-->

<!--**********************************-->
<!-- ***** >>> Einstellungen <<< *****-->
<div data-role="page" id="page">
	<div class="ui-bar-b" data-role="header">		<!--	../start01.php  -->
  	<a href="javascript:GoBack_1p_3p()" target="_self" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a>    
		<h1><?php echo $ID[10] ?></h1>																		<!-- 	Einstellungen	-->
  	<!--<a href="../start01.php" target="_self" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a> -->   
  </div>
	<div data-role="content">	
		<ul data-role="listview">
			<li><a id="page2" href="#page2"><?php echo $ID[11] ?></a></li>													<!--	page2		Sicherung	-->
      <li><a href="set_fehlerortung.php" target="_self"><?php echo $ID[12] ?></a> </li>				<!--	page3		Fehlerortung	-->
			<!--  <li><a href="#page4">Datum/Zeit/Sprache</a></li>																	<!--	page4	... nach Grundeinstellungen verschoben -->
			<li><a href="#page5"><?php echo $ID[13] ?></a></li>																			<!--	page5		Komunikation	-->		
      <li><a href="set_grundeinstellung.php" target="_self"><?php echo $ID[14] ?></a></li>		<!--	page6		Grundeinstellungen	-->
			<li><a href="#page7" target="_self"><?php echo $ID[189] ?></a></li>											<!--	page7	"#page7">	SIM PIN Einstellung	-->
			<!---	<li><a href="#page8">*** PowerModul Abgleich ***</a></li>													<!--	page7		PowerModul Abgleich	-->
		</ul>		
	</div>
   
</div>
<!--*** >>> Einstellungen Ende <<< *****-->
<!--************************************-->


  <!--******************************************-->
  <!--***     PopUp-Menü 3 (xxx)     ***
	<div data-role="popup" id="popupDia03" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
    <div data-role="header" data-theme="a">
      <h1>
        <?php echo $ID[159]; ?>
      </h1>
    </div>
    <div role="main" class="ui-content">
    
    	<p> <?php echo $ID[163]; ?> </p>
    
      <a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back"><?php echo $ID[154]; ?></a>	
      <a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"  data-rel="back" /><?php echo "54321" //$ID[153]; ?></a>
        
    </div>
  
	</div>
-->
	<script type="text/javascript">
	/**/
      <!-- On_Pageinit -->
      $(document).on('pageinit', '#page' ,function() 
				{//	alert("Einstellungen (setup132_php/198)");	
					$.get( "gui_mode.php", function( data ) {
	   			gui_mode =  parseInt(data);						// Umwandlung String to Int
	  			// alert("GUI-Mode 1p/3p:  " + gui_mode);
					});	
				});					
	
	</script>
    
  <!--*** PopUp-Menü 2 (Ausschalten) - ENDE  ***-->
  <!--******************************************-->





<!--**********************************-->
<!--***      Sicherung      ***-->
<div data-role="page" id="page2">
	<div class="ui-bar-b" data-role="header" >
    <a href="#page" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a>
		<h1><?php echo $ID[11] ?></h1>																		<!-- Sicherung -->
    <a  id="but_back_2" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a>
	</div>
	<div data-role="content"> 
		<form>
      <div data-role="fieldcontain">       
        <!-- Stromlimits -->
        <div id="ilim" data-role="collapsible">
          <h3>
            <div class="ui-grid-a">
              <div class="ui-block-a">
                <?php echo $ID[15] ?>
              </div>
              <div class="ui-block-b" align="left" >									              
		          	<div class="ui-grid-a">
                	<div id="i2tButton" class="ui-block-a" style="visibility:hidden">
                  	<select name="flip-26" id="flip-26" data-role="slider">
                      <option value="0">Irms</option>																				<!-- Irms ... nicht in LanguageDatabase -->
                      <option value="1">I²t</option>																				<!-- I²t  ... nicht in LanguageDatabase -->
                     </select>    
                  </div>
                  <div class="ui-block-b">       
                  	<div id="slift" class="full-width-slider-y" style="visibility:hidden">	<!-- Slider für flink ... träge  16,32,64,96,128 -->
                       <label for="slider-ft" class="ui-hidden-accessible">Slider:</label>	
                              <input name="slider-ft" type="range" id="slider-ft" min="1" max="5" step="1" value="3"
                                        data-show-value="true" data-popup-enabled="true" />
                    </div>
                  </div>
	             	</div>
              </div>
            </div>
          </h3>         											<!-- Sicherungsgrenzwerte -->
   					<!--        <a class="caption"> <?php echo $ID[16] ?>:</a> 							Sicherungswert -->
          <div class="ui-grid-a">

            <div class="ui-block-a">
              <a class="caption"> <?php echo $ID[16] ?>:</a> 																<!-- Sicherungswert -->       
              <div class="ui-field-contain" id="selfus" style="max-width:200px">
                <label for="select-fuse" ></label>
                <select name="select-fuse" id="select-fuse">
                  <!-- <option id="sefu01" value="16">16 A</option> 	ab 29.11.2018 deaktiviert --> 
                  <!-- <option id="sefu02" value="20">20 A</option> 	ab 29.11.2018 deaktiviert --> 
                  <option id="sefu03" value="25">25 A</option>
                  <option id="sefu04" value="32">32 A</option>
                  <option id="sefu05" value="40">40 A</option>
                  <option id="sefu06" value="50">50 A</option>
                  <option id="sefu07" value="63">63 A</option>
                  <option id="sefu08" value="80">80 A</option>
                  <option id="sefu09" value="100">100 A</option>
                  <option id="sefu10" value="125">125 A</option>
                  <option id="sefu11" value="160">160 A</option>
                  <option id="sefu12" value="200">200 A</option>
                  <option id="sefu13" value="224">224 A</option>
                  <option id="sefu14" value="250">250 A</option>
                </select>
              </div>
            </div><!-- /ui-block-a -->        
             	
            <div class="ui-block-b">																			<!-- (-A) Sicerung-Slider (+A) -->
            	<br>
             	<br>
              <div  class="full-width-slider-x">
                 <!--       <label for="slider-I10k"><?php echo $ID[17] ?>:</label>		Imax (A) -->
                 <label for="slider-I10k" class="ui-hidden-accessible">Slider:</label>	
                        <input name="slider-I10k" type="range" id="slider-I10k" min="10" max="250" step="1" value="120"
                                  data-show-value="true" data-popup-enabled="true" />
              </div>           
            </div><!-- /ui-block-b --> 	
            
          </div><!-- /ui-grid-a -->

					<br>

          <div class="ui-grid-a">
          
            <div class="ui-block-a">          
          		<a class="caption" style=" font-size:24px"> <?php echo $ID[18] ?>(A):</a> 	<!-- Warnschwelle -->
              <select name="flip-25" id="flip-25" data-role="slider">
                <option value="0"><?php echo $ID[24] ?></option>										<!-- Aus -->
                <option value="1"><?php echo $ID[7] ?></option>											<!-- Ein -->
              </select> 
            </div><!-- /ui-block-a -->

            <div class="ui-block-b">	
              <div class="full-width-slider-x">
                <!-- <label for="slider-Iwarn"><?php echo $ID[17] ?>:</label>			Imax (A) -->             
                <input name="slider-Iwarn" type="range" id="slider-Iwarn" min="10" max="250" step="1" value="120" 
                          data-show-value="true" data-popup-enabled="true" />
              </div>
          	</div><!-- /ui-block-b --> 	

          </div><!-- /ui-grid-a -->
    
          <br>
        </div>
        <!-- Stromlimits-ENDE-->


        <!-- Wiedereinschalten -->										
        <div id="openreclo" data-role="collapsible" >
          <h3><?php echo $ID[50] ?></h3>																	<!-- Wiedereinschalten -->
          <div class="ui-grid-a">
            <div class="ui-block-a">
  
				<!-- ... das war mal Wiedereinschalten Ein/Aus	-->
        <!--      <select name="flip-21" id="flip-21" data-role="slider">
        <!--          <option value="0"><?php echo $ID[24] ?></option>				<!-- Aus -->
        <!--          <option value="1"><?php echo $ID[7] ?></option>					<!-- Ein -->
        <!--      </select> 

              
        <!--  		<label for="flip-22"><?php echo $ID[23] ?></label> </br>		unendlich -->
        <!--      <select name="flip-22" id="flip-22" data-role="slider">
        <!--          <option value="0">un-<?php echo $ID[24] ?></option>					<!-- Aus -->
        <!--          <option value="1">un-<?php echo $ID[7] ?></option>					<!-- Ein -->
        <!--      </select>            
 				-->
      <!-- <form class="form_attendance">	   -->								 <!--  wegen 'width' Einstellung   -->
              <fieldset data-role="controlgroup" data-type="horizontal"  id="form_attendance" >
                <!--  <legend><b>Trigger-Enable:</b></legend>  -->
                  <input name="checkbox-w-2a" id="checkbox-w-2a" type="checkbox">	<!-- PM-A -->
                  <label for="checkbox-w-2a">PM-A</label>
                  <input name="checkbox-w-2b" id="checkbox-w-2b" type="checkbox">	<!-- PM-B -->
                  <label for="checkbox-w-2b">PM-B</label>
                  <input name="checkbox-w-2c" id="checkbox-w-2c" type="checkbox">	<!-- PM-C -->
                  <label for="checkbox-w-2c">PM-C</label>
              </fieldset>
      <!--  </form>      -->
<a>.</a>



							<br> <br>

                         						
            </div><!-- /ui-block-a --> 	

            <div class="ui-block-b">
              <label ><b><?php echo $ID[22] ?>:</b></label>													<!--Zeit(Sek.) -->
              <div  class="full-width-slider-x">
              	<label for="slider-retime" class="ui-hidden-accessible">Slider:</label>	
                        <input name="slider-retime" type="range" id="slider-retime" min="10" max="50" step="1" value="25"
                                  data-show-value="true" data-popup-enabled="true" />
							</div>            
            </div><!-- /ui-block-b -->

      <!--      <div class="ui-block-a">

      <!--         <form>   -->
  																																<!--	 data-mini="true"	-->
           <!--       <fieldset data-role="controlgroup" data-type="horizontal" id="radio_InfiAnz">
                      <input name="radio-choice-w-2" id="radio-choice-w-2a" value="1" type="radio">
                      <label for="radio-choice-w-2a"><?php echo $ID[23] ?></label>										<!--	unendlich <b>&#8734</b>
                     <input name="radio-choice-w-2" id="radio-choice-w-2b" value="0" type="radio">
                      <label for="radio-choice-w-2b" id="radio_w_2b">(x)</label>											<!--	(x)
                  </fieldset>
        
        <!--      </form>   -->

        <!--     </div><!-- /ui-block-a --> 	

       <!--      <div class="ui-block-b">		--> 

        	</div><!-- /ui-grid -->  

              <div id="anzunendtxt" style="position:relative;">
              	<label id="anz_une_txt" ><b><?php echo $ID[21] ?>:</b></label>									<!-- Anzahl(x)   unendlich [23]-->
              </div>
              <div  class="full-width-slider-x">
                 <label for="slider-renumb" class="ui-hidden-accessible">Slider:</label>	
                        <input name="slider-renumb" type="range" id="slider-renumb" min="1" max="51" step="1" value="5"
                                  data-show-value="true" data-popup-enabled="true" />
							</div>
            
       <!--      </div><!-- /ui-block-b -->            
        
        </div>
        <!-- Wiedereinschalten-ENDE-->


        <!-- Wiedereinschalten-Step -->	
        <div id="openreclostep" data-role="collapsible" >								
					<?php        
            $Mission = simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
          ?>					
        	<h3>
          	<div class="ui-grid-a">
              <div id="wizustname" class="ui-block-a" style="visibility:visible">
                <?php echo $ID[102] ?>-Step																		<!-- *Wiedereinschalten-Step -->
              </div>
              <div class="ui-block-b" align="center">
                <select name="flip-27" id="flip-27" data-role="slider">
                  <option value="0"><?php echo $ID[24] ?></option>						<!-- Aus -->
                  <option value="1"><?php echo $ID[7] ?></option>							<!-- Ein -->
                 </select> 
              </div>
            </div>
        	</h3>
 
 					<div data-role="content">
            <table data-role="table" id="movie-table" data-mode="reflow" class="ui-responsive table-stroke" >
             <colgroup> <col width=50%> <col width=50%> </colgroup>
              <thead>
                <tr>
                  <th data-priority="persist"><?php echo $ID[100] ?></th>							<!-- Sicherungswert -->
                  <th id="siwertwizust" style=" text-align:center" data-priority="2"><?php echo $Mission->COMIN1->rms_lim_i500->value; ?> A</th>	
                  <th data-priority="3"> </th>						
                </tr>
              </thead> 
              <tbody>
                <tr>
                  <td style="padding-top:18px"><?php echo $ID[102] ?> 1</a></td>			<!-- Step 1 -->
                  <td>
                    <div class="full-width-slider-x">
                      <input name="slider-step1" type="range" id="slider-step1" min="10" max="250" step="5" value="120" 
                        data-show-value="true" data-popup-enabled="true" />
                    </div>
                  </td>
                  <td style="padding-top:18px">A</td>
                </tr>
                <tr>
                  <td style="padding-top:18px"><?php echo $ID[102] ?> 2</a></td>				<!-- Step 2 -->
                  <td>
                    <div class="full-width-slider-x">
                      <input name="slider-step2" type="range" id="slider-step2" min="10" max="250" step="5" value="120" 
                        data-show-value="true" data-popup-enabled="true" />
                    </div>
                  </td>
                  <td style="padding-top:18px">A</td>
                </tr>
                <tr>
                  <td style="padding-top:18px"><?php echo $ID[102] ?> 3</a></td>				<!-- Step 3 -->
                  <td>
                    <div class="full-width-slider-x">
                      <input name="slider-step3" type="range" id="slider-step3" min="10" max="250" step="5" value="120" 
                        data-show-value="true" data-popup-enabled="true" />
                    </div>
                  </td>
                  <td style="padding-top:18px">A</td>
                </tr>
                <tr>
                  <td style="padding-top:18px"><?php echo $ID[102] ?> 4</a></td>				<!-- Step 4 -->
                  <td>
                    <div class="full-width-slider-x">
                      <input name="slider-step4" type="range" id="slider-step4" min="10" max="250" step="5" value="120" 
                        data-show-value="true" data-popup-enabled="true" />
                    </div>
                  </td>
                  <td style="padding-top:18px">A</td>
                </tr>
                <tr>
                  <td style="padding-top:18px"><?php echo $ID[102] ?> 5</a></td>					<!-- Step 5 -->
                  <td>
                    <div class="full-width-slider-x">
                      <input name="slider-step5" type="range" id="slider-step5" min="10" max="250" step="5" value="120" 
                        data-show-value="true" data-popup-enabled="true" />
                    </div>
                  </td>
                  <td style="padding-top:18px">A</td>
                </tr>
        
              </tbody>
            </table>
          </div>

				</div>
        <!-- Wiedereinschalten-Step - ENDE-->										


                
    	</div>       	          
		</form>

  </div>

  <!-- ****************************************** 				-->
  <script type="text/javascript">
			
		$('#openreclo').on("collapsibleexpand", function () 
		{	$("html, body").animate({ scrollTop: "400" }, 1000);	});			// ... Scroll To Top																	

		$('#openreclostep').on("collapsibleexpand", function () 
		{	$("html, body").animate({ scrollTop: "400" }, 1000);	});			// ... Scroll To Top																	

    <!-- On_Pageinit_2 -->		//  ... früher pageinit
    $(document).on('pagecreate', '#page2' ,function() 
    {	//alert("pagecreate page2 "); 

			javascript:setupRequest('20', 'page2');
			//			On_Pageinit_2();

			//--
			$("#slider-I10k").change(function() 
			{//	alert("change slider-I10k"); 
			
				var sliderValue = $(this).val();
				//var sliderValue = SiWertAkt;
			
				//	alert(sliderValue);
				$("#select-fuse option:selected").text(sliderValue+" A");	
				$("#select-fuse").selectmenu( "refresh" );						
				// Warnschwelle wird 10% unter Sicherungswert gestellt
				warnValue = sliderValue * 0.9;					
				$("#slider-Iwarn").attr({"max":sliderValue, "val":warnValue});
				$("#slider-Iwarn").val(warnValue);
				$("#slider-Iwarn").slider('refresh');
				//---
				CheckSetPage2();																						// Einstellungen überprüfen und Slider danach setzen
									
			});
			//---

			//---	Anzahl der Wiederzuschaltungen auf Radio-Button anzeigen
			$("#slider-renumb").change(function() 
			{//	alert("change slider-renumb");
				var sliderValue = $(this).val();
				$("#radio_w_2b").text(sliderValue);
//				$("#radio_w_2b").text('unednl');
//				$("#sl_renu_track .ui-slider-track").prepend("<div>unendlich</div>");			//	$("#example2 .ui-slider-track").prepend(colorback);
//				$("#sl_renu_track .ui-slider-track").empty();
//				document.getElementById("radio_w_2b").text = "Johnny Bravo";

				if(sliderValue == 51)
				{  //	alert(">>>");
					$("#slider-renumb").val("200");
					// document.getElementById('anzunendtxt').style.left = "80%"; 		// bis 20200414:  
					document.getElementById('anzunendtxt').style.left = "1%"; 
					document.getElementById('anz_une_txt').innerHTML	= "<b>"+txt_Unendl+"</b>";	
				}
				else
				{
					$("#slider-renumb").val(sliderValue);
					document.getElementById('anzunendtxt').style.left = "1%";
					document.getElementById('anz_une_txt').innerHTML	= "<b>"+txt_Anzahl+"</b>";	
				}
				
			});
			//---		
						
    });					/* $('#pop32').click();	 [[[Einstellungen wurden erfolgreich geladen.]]]	*/

  
    <!-- On_Change_select-fuse -->
    $('#select-fuse').on('change', function () 
      {	//alert("... On_Change_select-fuse");
        
				select_fuse_set();
        
				//---
				CheckSetPage2();																						// Einstellungen überprüfen und Slider danach setzen
	
	      // Warnschwelle wird 10% unter Sicherungswert gestellt
        var sliderValue = $("#slider-I10k").val();
        warnValue = sliderValue * 0.9;					
        $("#slider-Iwarn").attr({"max":sliderValue, "val":warnValue});
        $("#slider-Iwarn").val(warnValue);
        $("#slider-Iwarn").slider('refresh');
        
      });			

		/*	Slider für 'flink...träge' anzeigen od. nicht	*/
    $('#flip-26').on('change', function () 
      {	//	alert("... On_Change_select-fuse");
				if($('#flip-26').val() == 1)
					document.getElementById('slift').style.visibility = 'hidden'; //... vor 2.188  = 'visible' 
				else
					document.getElementById('slift').style.visibility = 'hidden'; 
			});


    /* Focus auf select-fuse ... stellt die Grundeinstellung der Sicheurngswerte her */
    $('#select-fuse').on('focus',function () 
      {	// 	alert("Focus auf select-fuse");	
        select_fuse_init();			
      });				

  
//**xx**
//    /* On_Change_Recl_on_off */
//    $('#openreclo').on("collapsibleexpand",function () 
//      {	 On_Pageinit_2();	});				
//**xx**


    /* On_Change_Recl_on_off */
//**xx**    $('#flip-21').on('change', function () 
//**xx**      {	On_Change_Recl_on_off();	});			
              
    <!-- OnChangeInfinite -->
    //p2inf $('#flip-22').on('change', function () 
    //p2inf   {	OnChangeInfinite();	});
    $('#radio_InfiAnz').on('change', function () 
      {	OnChangeInfinite();	});
      
    /* On_Change_Warn_on_off */
    $('#flip-25').on('change', function () 
      {	On_Change_Warn_on_off();	});	
			
    /* On_Change_Auswahl PM-ABC */
    $('#form_attendance').on('change', function () 
      {//	alert("form_attendance geändert");
				PM_ABC_W = 0;
				if($('#checkbox-w-2a').is(':checked'))			// PM-A checked
				{
					PM_ABC_W = PM_ABC_W | 4;
					PM_ABC_P = PM_ABC_P & 3;									// PM-A Pulsmodus aus
				}
				if($('#checkbox-w-2b').is(':checked'))			// PM-B checked
				{
					PM_ABC_W = PM_ABC_W | 2;
					PM_ABC_P = PM_ABC_P & 5;									// PM-B Pulsmodus aus				
				}
				if($('#checkbox-w-2c').is(':checked'))			// PM-C checked
				{
					PM_ABC_W = PM_ABC_W | 1;
					PM_ABC_P = PM_ABC_P & 6;									// PM-C Pulsmodus aus				
				}
				//	alert(PM_ABC_W);
				if(PM_ABC_W >0)
					WiederEinAus = 1;
				else
					WiederEinAus = 0;
				On_Change_Recl_on_off();	
			});	
			                  
    <!-- Button: fertig [Sicherung]-->
    $('#but_back_2').click(function () 
      { //alert("???");
	      SavePage2();	$('#pop42').click();
				//--- alert("Z648:  "+cabletype+" -- "+setcabtype);				
				if(cabletype == 0 || setcabtype == 1)											//... wenn noch keine Kabelparamter eingeben sind oder LoopDetect
				{//alert("Kabeltyp eingeben ?  * "+cabletype+" *");				
					//alert(licevalid);
					if(licevalid == 1)																			// nur wenn Lizenzschlüssel eingegeben, also Fehlerortung aktiv
						setTimeout(myFunction, 1000);
						//  location.href = "../setup/nocabletype.php";				//	 Button: Pulsmodus
				}
				//---	
			});
    		//--- für but_back_2').click(function () von oberhalb
				function myFunction() {
					// alert('Z660:  Hello')
					location.href = "../setup/nocabletype.php";
				};
				//---
			
		//***** 'Wiederzu.-Step' Text auf Tab blinken lassen wenn Ein *****  
    $('#flip-27').on('change', function () 
      {	
				if($('#flip-27').val() == 1)
				{
					$(openreclostep).collapsible( "expand" );
					myblink2Var = setInterval(myblink2, 1000);		// 1 Sekunde
				}
				else
				{	
					$(openreclostep).collapsible( "collapse" );
					clearInterval(myblink2Var);			// ... deaktivieren
					document.getElementById('wizustname').style.visibility = "visible";
				}
			});
			
			
			
  </script>
  <!-- ****************************************** -->
  
  <!--***********************************************-->
  <!--***     PopUp-Menü 32 (...Daten geladen)     ***-->
  <div  style="height: 0px;width: 0px;overflow:hidden;">
    <a id="pop32" href="#popupDia32" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
  </div>
  <div data-role="popup" id="popupDia32" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
    <div data-role="header" data-theme="a">
      <h7></h7>
    </div>
    <div role="main" class="ui-content">
      <h3 class="ui-title"></h3>
      <p><?php echo $ID[156]; ?></p>
      <!--	<a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back">Cancel</a>	-->
      <a href="x" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back" data-transition="flow"><?php echo $ID[153]; ?></a>
    </div>
  </div>
  <!--***  PopUp-Menü 32 (...Daten geladen) -ENDE  ***-->
  <!--***********************************************-->
  <!--***********************************************-->
  <!--***     PopUp-Menü 42 (...Daten abgelegt)    ***-->
  <div  style="height: 0px;width: 0px;overflow:hidden;">
    <a id="pop42" href="#popupDia42" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
  </div>
  <div data-role="popup" id="popupDia42" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
    <div data-role="header" data-theme="a">
      <h7></h7>
    </div>
    <div role="main" class="ui-content">
      <h3 class="ui-title"></h3>
      <p id="datasaved"><?php echo $ID[157]; ?></p>
      <!--	<a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back">Cancel</a>	-->
      <a id="datsavok" href="javascript:GoBack_1p_3p(1)" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
    </div>
  </div>
  <!--***  PopUp-Menü 42 (...Daten abgelegt) -ENDE ***-->
  <!--***********************************************-->

</div>
<!--***    Sicherung ENDE   ***-->
<!--**********************************-->



<!--******************************************-->
<!-- *****    >>> Kommunikation <<<     ***** -->
<div data-role="page" id="page5">
	<div class="ui-bar-b" data-role="header">
  	<a href="#page" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a> 
			<h1><?php echo $ID[38] ?></h1>									   									<!-- Kommunikation -->
    <a  id="save_5" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a>
	</div>
  
	<div data-role="content">	
  
    <div data-role="collapsible-set" data-theme="c" data-content-theme="d">	   
 		      
			<!-- GSM -->
      <div data-role="collapsible" id="setgsm">
  			<h3><?php echo $ID[39] ?></h3>									 									<!-- GSM -->
        <h2><!-- Zugang -->
        </h2>
        <div data-role="collapsible">
          <h3><?php echo $ID[40] ?></h3>								 									<!-- Zugang -->
          <form>
          
            <label for="flip-51"><?php echo $ID[41] ?></label>	  				<!-- Mobile Daten -->
            <select name="flip-51" id="flip-51" data-role="slider">
                <option value="0"><?php echo $ID[24] ?></option>					<!-- Aus -->
                <option value="1"><?php echo $ID[7] ?></option>						<!-- Ein -->
            </select>              
          
            <div data-role="fieldcontain">
              <label for="text-501"><?php echo $ID[42] ?>:</label>				<!-- Benutzername -->
              <input class="text_input" data-clear-btn="true" name="text-501" id="text-501" value="" type="text">
            </div>
            <div data-role="fieldcontain">
              <label for="text-502"><?php echo $ID[43] ?>:</label>				<!-- Passwort -->	
              <input class="text_input" data-clear-btn="true" name="text-502" id="text-502" value="" type="text">
            </div>
            <div data-role="fieldcontain">
              <label for="text-503"><?php echo $ID[44] ?>:</label>				<!-- APN -->
              <input class="text_input" data-clear-btn="true" name="text-503" id="text-503" value="" type="text">
            </div>
            <div data-role="fieldcontain">
              <label for="text-504"><?php echo $ID[189] ?>:</label>				<!-- SIM PIN -->
              <input class="text_input" data-clear-btn="true" disabled="disabled" name="text-504" id="text-504" value="" type="text">
            </div>
          </form>                        
        </div>
        <!-- Zugang-ENDE-->
        
        <!-- Benachrichtigung -->
        <div data-role="collapsible">										
          <h3><?php echo $ID[45] ?></h3>								                    <!-- Benachrichtigung -->
          <form>

            <label for="select-choice-1" class="select"><?php echo $ID[46] ?></label> <!-- Meldung bei Warnschwellenüberschreitung -->
            <select name="select-choice-1" id="select-choice-1">
                <option value="xx"><?php echo $ID[142] ?></option>          <!-- keine -->
                <option value="0"><?php echo $ID[143] ?></option>           <!-- immer -->              
                <option value="255"><?php echo $ID[144] ?></option>         <!-- einmalig -->
                <option value="15"><?php echo $ID[145] ?></option>          <!-- alle 15 min -->
                <option value="30"><?php echo $ID[146] ?></option>          <!-- alle 30 min -->
                <option value="60"><?php echo $ID[147] ?></option>          <!-- alle 60 min -->
            </select>

            <fieldset data-role="controlgroup" data-iconpos="right" data-mini="true" >
                <legend><?php echo $ID[47] ?></legend>											               <!-- Meldungen bei folgenden Ereignissen -->	
                <input name="checkbox-5a" id="checkbox-5a" type="checkbox" value="1" >
                <label for="checkbox-5a"><?php echo $ID[48] ?></label>										 <!-- Sicherungsauslösung -->
                <!--
                <input name="checkbox-5b" id="checkbox-5b" type="checkbox" value="2" >
                <label for="checkbox-5b">... Warnschwellenüberschreitung</label>
                -->
                <input name="checkbox-5b" id="checkbox-5b" type="checkbox" value="4" >		
                <label for="checkbox-5b"><?php echo $ID[49] ?></label>					           <!-- Kritische Temperatur -->
                <input name="checkbox-5c" id="checkbox-5c" type="checkbox" value="8" >
                <label for="checkbox-5c"><?php echo $ID[20] ?></label>										 <!-- Wiederzuschaltung -->
                <input name="checkbox-5d" id="checkbox-5d" type="checkbox" value="16" >
                <label for="checkbox-5d"><?php echo $ID[51] ?></label>										 <!-- Netzausfall -->
                <input name="checkbox-5e" id="checkbox-5e" type="checkbox" value="32" >
                <label for="checkbox-5e"><?php echo $ID[52] ?></label>									 	 <!-- Manuelle Abschaltung -->
            </fieldset>
          
            <div data-role="fieldcontain">
              <label for="text-505"><?php echo $ID[53] ?>:</label>     		<!-- SMS-Empfängernummer 1 -->
              <input class="text_input" data-clear-btn="true" name="text-505" id="text-505" value="" type="text">
            </div>
            <div data-role="fieldcontain">
              <label for="text-506"><?php echo $ID[54] ?>:</label>				<!-- SMS-Empfängernummer 2 -->
              <input class="text_input" data-clear-btn="true" name="text-506" id="text-506" value="" type="text">
            </div>


            <!-- Sende Test-SMS -->
            	<!--<a href="javascript:setupRequest('05', 9)" id="testsms" data-role="button" data-mini="true" ><?php //echo $ID[57] ?></a>  -->
            <a href="#" id="testsms" data-role="button" data-mini="true" ><?php echo $ID[57] ?></a> 
            <script type="text/javascript">	$('#testsms').click(function ()	{ $('#pop46').click();	}); </script>

            
            <div data-role="fieldcontain">
              <label for="text-507"><?php echo $ID[55] ?>:</label>				<!-- E-Mail 1 disabled="disabled"  -->
              <input class="text_input" data-clear-btn="true" name="text-507" id="text-507" value="" type="text">
            </div>
            <div data-role="fieldcontain">
              <label for="text-508"><?php echo $ID[56] ?>:</label>				<!-- E-Mail 2 disabled="disabled"  -->
              <input class="text_input" data-clear-btn="true" name="text-508" id="text-508" value="" type="text">
            </div>
          </form>                        
        </div>
        <!-- Zugang-ENDE-->
      </div>
			<!-- GSM-ENDE -->

			<!-- WLAN -->
      <div data-role="collapsible">
  			<h3 id="wlanakt" >WLAN</h3>
 
        <!--	     PERMANENT-BUTTON     	-->
        <!--	         -->  
        <div class="ui-grid-a wlanperm">
        <!--
          <div class="ui-block-a">--</div>
          <div class="ui-block-b">	
            <form>
              <div class="ui-field-contain">
                <label for="flip-521">permanent:</label>
                <select name="flip-521" id="flip-521" data-role="flipswitch" >
                  <option value="0">nein</option>
                  <option value="1">ja</option>
                </select>
              </div>
            </form>            
          </div>
         --> 
        </div>                     
        <!--	   PERMANENT-BUTTON   Ende  -->        
                
        <form>       
          <div data-role="fieldcontain">
          	<label for="text-509"><?php echo $ID[58] ?>:</label>					<!-- Netzwerk-ID -->
            <input class="text_input" data-clear-btn="true" name="text-509" id="text-509" value="" type="text">
          </div>
          <div data-role="fieldcontain">
            <label for="text-510"><?php echo $ID[59] ?>:</label>					<!-- Passwort -->
            <input class="text_input" data-clear-btn="true" name="text-510" id="text-510" value="" type="text">
          </div>
          <div data-role="fieldcontain">
          	<label for="text-513"><?php echo $ID[60] ?>:</label>					<!-- IP-Adresse -->
            <input class="text_input" data-clear-btn="true" name="text-513" id="text-513" value="" type="text">
          </div>
          <div data-role="fieldcontain">
            <label for="text-514"><?php echo $ID[61] ?>:</label>				  <!-- Subnetzmaske -->
            <input class="text_input" data-clear-btn="true" name="text-514" id="text-514" value="" type="text">
          </div>
        </form>               
      </div>
			<!-- WLAN-ENDE -->
      
			<!-- LAN -->
      <div id="lan" data-role="collapsible">
  			<h3>LAN</h3>      
        <fieldset data-role="controlgroup" data-type="horizontal" id="radio51">	<!-- data-mini="true"	checked="checked"  -->
          <h2> <legend><?php echo $ID[60] ?></legend> </h2>								<!-- IP-Adresse -->		
					<input name="radio-choice-51" id="radio-choice-51a" value="1" type="radio">
          <label for="radio-choice-51a"><?php echo $ID[63] ?></label>			<!-- Statisch -->
          <input name="radio-choice-51" id="radio-choice-51b" value="0" type="radio">
          <label for="radio-choice-51b"><?php echo $ID[62] ?></label>		  <!-- DHCP -->
    		</fieldset>
        
        <form>
          <div data-role="fieldcontain">
          	<label for="text-511"><?php echo $ID[60] ?>:</label>					<!-- IP-Adresse -->			
            <input class="text_input" data-clear-btn="true" name="text-511" id="text-511" value="" type="text">
          </div>
          <div data-role="fieldcontain">
            <label for="text-512"><?php echo $ID[61] ?>:</label>				  <!-- Subnetzmaske -->
            <input class="text_input" data-clear-btn="true" name="text-512" id="text-512" value="" type="text">
          </div>
          <div data-role="fieldcontain">
          	<label for="text-515"><?php echo $ID[64] ?>:</label>			    <!-- Broadcast -->
            <input class="text_input" data-clear-btn="true" name="text-515" id="text-515" value="" type="text">
          </div>
          <div data-role="fieldcontain">
            <label for="text-516"><?php echo $ID[65] ?>:</label>					<!-- Gateway -->
            <input class="text_input" data-clear-btn="true" name="text-516" id="text-516" value="" type="text">
          </div>
        </form>        
         
      </div>

      <!-- ****************************************** --> 
      <script type="text/javascript">   
      <!-- On_LAN_Expand -->
      $('#lan').on("collapsibleexpand", function () 
        {	$("html, body").animate({ scrollTop: "230" }, 1000);		});		// ... nach Top scrollen
      </script> 
      <!-- ****************************************** --> 

  		<!-- LAN-ENDE -->
      
 			<!-- VPN -->
      <div data-role="collapsible">
  			<h3>VPN</h3>  
        
          <div>				<!--	class="ui-field-contain"	-->
            <label for="flip-52"><?php echo $ID[185] ?></label>						<!-- VPN access -->
            <select name="flip-52" id="flip-52" data-role="slider">
                <option value="0"><?php echo $ID[24] ?></option>					<!-- Aus -->
                <option value="1"><?php echo $ID[7] ?></option>						<!-- Ein -->
            </select>                    
          </div>

       	<div id="rconoff">
         	<a href="#" id="vpn_import" data-role="button" data-mini="true" ><?php echo $ID[177] ?></a>		 <!--	VPN-Configuration import		-->
       	</div>          

       	<div id="rconoff">
         	<a href="#" id="vpn_export" data-role="button" data-mini="true" ><?php echo $ID[178] ?></a>		 <!--	VPN-Configuration export		-->
       	</div>          

     
      </div>
  		<!-- VPN-ENDE -->
      
      <!-- ****************************************** -->
      <script type="text/javascript">
        <!-- On_Pageinit_5 -->
        $(document).on('pageinit', '#page5' ,function() 
          {	On_Pageinit_5();	});
  
        /* On_Change_Mobile_Daten */
        $('#flip-51').on('change', function () 
          {	On_Change_mobile_data();	});										
  
        /* On_Change_VPN */
        $('#flip-52').on('change', function () 
          {	On_Change_VPN();	});										
  
        <!-- Button: VPN-Configuration import-->
        $('#vpn_import').click(function () 
          { //  alert("import");	
						javascript:setupRequest('52', 21);
						});		// 

        <!-- Button: VPN-Configuration export-->
        $('#vpn_export').click(function () 
          { // alert("export");	
						javascript:setupRequest('53', 22);
						});		// 

        <!-- Button: fertig [Sicherung]-->
        $('#save_5').click(function () 
          { 
						SavePage5(); $('#pop45').click();	
					});		// 
  
        <!-- O... weitere ... -->
  
      </script>
      <!-- ****************************************** -->
    
 			<!-- E-Mail-Konto -->
      <div data-role="collapsible">
  			<h3><?php echo $ID[210] ?></h3>  																				<!-- E-Mail-Konto -->
        
        <p><?php echo $ID[213] ?></p>																						<!-- SMTP-Server -->

	      <div id="mailserver">													
  	      <label for="text-530"><a><?php echo $ID[211] ?>:</a> </label>						<!-- Mailserver -->
    	    <input class="text_input" data-clear-btn="false" name="text-530" id="text-530" value="Mailserver" type="text">   
  	      <label for="text-531"><a><?php echo $ID[212] ?>:</a> </label>						<!-- Port -->
    	    <input class="text_input" data-clear-btn="false" name="text-531" id="text-531" value="Port" type="text">   
				</div>
        
        <p><?php echo $ID[214] ?></p>																						<!-- Access -->

	      <div id="mailserver" class="ui-field-contain">													
  	      <label for="text-532"><a><?php echo $ID[42] ?>:</a> </label>						<!-- Login -->
    	    <input class="text_input" data-clear-btn="false" name="text-532" id="text-532" value="Login" type="text">   
  	      <label for="text-533"><a><?php echo $ID[59] ?>:</a> </label>						<!-- Password -->         
 	    		<input data-clear-btn="true" class="text_input" name="text-533" id="text-533" value="Password" type="password">   
																									  <!--  data-clear-btn="false"  ??? geht nicht, warum?  -->                 
				</div>
      
      </div>
  		<!-- E-Mail-Konto - ENDE -->

		     
    <!--***********************************************-->
    <!--***     PopUp-Menü 45 (...Daten abgelegt)    ***-->
    <div  style="height: 0px;width: 0px;overflow:hidden;">
      <a id="pop45" href="#popupDia45" data-rel="popup" data-position-to="window" data-transition="pop" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
    </div>
    <div data-role="popup" id="popupDia45" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
      <div data-role="header" data-theme="a">
        <h7></h7>
      </div>
      <div role="main" class="ui-content">
        <h3 class="ui-title"></h3>
        <p><?php echo $ID[157]; ?></p>
        <!--	<a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back">Cancel</a>	-->
        <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
      </div>
    </div>
    <!--***  PopUp-Menü 45 (...Daten abgelegt) -ENDE ***-->
    <!--***********************************************-->
    <!--***********************************************-->
    <!--***     PopUp-Menü 46 TestSMS    ***-->
    <div  style="height: 0px;width: 0px;overflow:hidden;">
      <a id="pop46" href="#popupDia46" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
    </div>
    <div data-role="popup" id="popupDia46" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
      <div data-role="header" data-theme="a">
        <h7></h7>
      </div>
      <div role="main" class="ui-content">
        <h3 class="ui-title"></h3>
        <p><?php echo $ID[165]; ?></p>
        <!--	<a href="#" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back">Cancel</a>	-->
        <a href="javascript:GoBack_1p_3p()" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" ><?php echo $ID[154]; ?></a>
        <a href="javascript:setupRequest('05', 9)" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
        
        <!--	-->
        <!--	... hier die Fertigmeldung der TestSMNS  -->
        <!--	-->
        
      </div>
    </div>
    <!--***  PopUp-Menü 45 TestSMS  -ENDE ***-->
    <!--***********************************************-->
         
    </div>
	</div>
</div>
<!-- ***** >>> Kommunikation - ENDE <<< ***** -->
<!--******************************************-->


<!--**********************************-->
<!--***     SIM PIN Eingabe        ***-->
<div data-role="page" id="page7">
	<div class="ui-bar-b" data-role="header">
  	<a href="#page" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a> 
		<h1><?php echo $ID[189] ?></h1>											<!-- Grundeinstellungen -->
    <!--  <a  id="save_6" class="ui-btn ui-shadow ui-corner-all ui-icon-save ui-btn-icon-right"></a> -->
	</div>
	<div data-role="content"> 

    <form action="access.php" method="post" id="loginform" >     
      <div class="ui-grid-b">
        <div class="ui-block-a">
          <p id="pinpuk" style="text-align:center"> PIN </p>
        </div>          						        
        <div class="ui-block-b">
          <label for="simpin"> </label>	<!--   <?php echo $ID[43] ?>:		-->         
          <input class="text_input" name="simpin" type="text" id="simpin" value=""/>          <!-- type="password" "text" -->
        </div>          
        <div class="ui-block-c">
          <p>	<label id="remain2" style="text-align:center"><?php echo $ID[204] ?></label> <label id="remain1" style="text-align:center"> </label> </p>
        </div> 

        <div class="ui-block-a">
        	<!--  <h3>Login: <a id="wrong"></a> </h3>
          <input type="submit" name="Submit" id="submit_butt" value="<?php echo $ID[173] ?>" data-mini="true" />  -->
        	<br>  
        </div>          						        
        <div class="ui-block-b">
      		<p id="butokpopupSimPin" href="" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back" /><?php echo $ID[153]; ?></p>
         	<p id="butbacksimpin" href="" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a" data-rel="back" ><?php echo $ID[154]; ?></p>
        </div>          
        <div class="ui-block-c">         
          <!--	<input type="submit" name="Submit" id="submit_butt" value="<?php echo $ID[173] ?>" data-mini="true" />	-->
        	<br>  
        </div> 

        <div class="ui-block-a">
        	<br>  
        </div>          						        
        <div class="ui-block-b" style="text-align:center">
        	<br> <br>
          <label for="flip-501"><?php echo $ID[203] ?></label>	<!-- Aktivierung SIM-Karten PIN-Code -->
          <select name="flip-501" id="flip-501" data-role="slider" data-mini="true" >
            <option value="0"><?php echo $ID[24] ?></option>		<!-- Aus -->
            <option value="1"><?php echo $ID[7] ?></option>			<!-- Ein -->
          </select>
        </div>          
        <div class="ui-block-c">         
        	<br>  
        </div> 
                 
                 
      </div>  
    </form>

	</div>
</div>

  <!-- ****************************************** -->
  <script type="text/javascript">
			
		<!--	Request1 starten wenn DiaologPage32 geöffnet wird	-->
		$('#page7').on('pageshow', function (event, ui) {
			Start_Request2();	
			HighlightColor($("#theSlider1"));
			});
		
		<!--	Request1 stoppen wenn DiaologPage32 geschlossen wird	-->
		$('#page7').on('pagehide', function () {
			Stopp_Request2();	});
				 		

		<!-- SIMPIN Abbruch-->
		$('#butbacksimpin').click(function () 	
			{ // 
				alert("zruck zum Start");	
				// location.href = "../start01.php" ;
				GoBack_1p_3p();
					}); 
			   
		<!-- SIMPIN speichern -->
		$('#butokpopupSimPin').click(function () 	
			{ // 	alert("SIMPIN speichern");
				javascript:SimPinRequest('02',20,1,1);			// [,,1] PIN-Funktion aufrufen: (1)PIN speichern
			}); 

		<!-- PIN-Aktivierung ändern -->
		$('#flip-501').on('change', function () 	
			{ // 	alert("PIN-Aktivierung speichern"+$("#flip-501").val());
				javascript:SimPinRequest('02',20,1,2);			// [,,1] PIN-Funktion aufrufen: (2)PIN-Aktivierung ändern
			}); 

    <!-- O... weitere ... -->

  </script>
  <!-- ****************************************** -->	      

<!--***    SIM PIN Eingabe - ENDE  ***-->
<!--**********************************-->



  <!--***********************************************-->
  <!--***     PopUp-Menü 70 
  	"    !!!   SFC-SRD Benutzung    !!!   \n ... aktuell nur Info möglich ..."    
  	"    !!!   lokale Benutzung    !!!   \n ... aktuell nur Info möglich ..."

  <div  style="height: 0px;width: 0px;overflow:hidden;">
    <a id="pop70" href="#popupDia70" data-rel="popup" data-position-to="window" data-transition="none" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-delete ui-btn-icon-left ui-btn-b">Delete page...</a>
      <script type="text/javascript">	alert("xxxHilfexxx");	  </script>
  </div>
  <div data-role="popup" id="popupDia70" data-overlay-theme="a" data-theme="a" data-dismissible="false" style="max-width:400px;">
    <div data-role="header" data-theme="a">
      <h7> ACHTUNG</h7>
    </div>
    <div role="main" class="ui-content">
      <h3 class="ui-title"></h3>
      <p><?php echo $ID[157]; ?></p>
      
      <a href="../start01.php" target="_parent" class="ui-btn ui-corner-all ui-shadow ui-btn-inline ui-btn-a"><?php echo $ID[153]; ?></a>
    </div>
  </div>					 	***-->	 
  <!--***  PopUp-Menü 70 (... Benutzung) -ENDE ***-->
  <!--***********************************************-->


</body>

</html>

